COMMANDS = {
	['me'] = function(id, p)
		if p[1] then
			radiusmsg(string.format("* %s %s", player(id, 'name'), table.concat(p)), player(id, 'x'), player(id, 'y'))
		else
			radiusmsg(string.format("* %s does nothing.", player(id, 'name')), player(id, 'x'), player(id, 'y'))
		end
	end, 
	['drop'] = function(id, p)
		p[1] = math.floor(tonumber(p[1]))
		if not p[1] then message(id,'Usage: !drop <amount>','255255255') return end
		if gettile(PLAYERS[id].x, PLAYERS[id].y).PVP then message(id,'You may not drop money here.','255255255') return end
		if p[1] <= 0 then message(id,'You may only drop positive amounts.','255255255') return end
		if not addmoney(id,-p[1]) then message(id,'You do not have enough money to drop.','255255255') return end
		message(id,'You have dropped $'..p[1]..'.','255255255')
		spawnitem(1337,PLAYERS[id]['x'],PLAYERS[id]['y'],p[1])
	end,
	['w'] = function(id, p)
		local target = tonumber(p[1])
		if target and player(target, 'exists') and target ~= id then
			table.remove(p, 1)
			local text = table.concat(p, " ")
			message(id, player(target, 'name') .. " <- " .. text)
			message(target, player(id, 'name') .. " -> " .. text)
			print(player(id, 'name') .. " -> " .. player(target, 'name') .. " : " .. text)
		end
	end, 
	['usgn'] = function(id, p)
		p[1] = tonumber(p[1])
		if p[1] and player(p[1], 'exists') then
			local usgn = player(p[1], 'usgn')
			if usgn ~= 0 then
				message(id, PLAYERS[p[1]].name..' has a U.S.G.N. id of '..usgn..'.', '255255255')
				return
			else
				message(id, PLAYERS[p[1]].name..' is not logged in to U.S.G.N. .', '255255255')
				return
			end
		end
		message(id, 'Usage: !usgn <targetid>', '255255255')
	end, 
	['tutorial'] = function(id, p)
		PLAYERS[id].Tutorial = {}
		message(id, 'You have restarted your tutorial.', '255255255')
	end, 
	['credits'] = function(id)
		-- if you remove this, please at least leave some credits to me, thank you.
		message(id, 'This script is made by weiwen.')
	end,
	['house'] = function(id, p)
		local house
		if p[1] == 'info' then
			local tile = gettile(PLAYERS[id].x, PLAYERS[id].y)
			local house = HOUSES[tile.HOUSEENT or tile.HOUSE]
			if not house then message(id, 'You are not in front of a house.', '255255255') return end
			if not house.owner then message(id, 'This house does not have an owner. It costs $' .. house.price .. ' per 24 hours.', '255255255') return end
			local time = house.endtime - os.time()
			local seconds = time % 60
			local minutes = ((time - seconds)/60) % 60
			local hours = (time - minutes*60 - seconds) / 3600
			message(id, 'This house is owned by '..PLAYERCACHE[house.owner].name..' and will expire in '..hours..' hours, '..minutes..' minutes It costs $' .. house.price .. ' per 24 hours .', '255255255')
		elseif p[1] == 'buy' then
			if player(id, 'usgn') == 0 then message(id, 'You are not logged in to U.S.G.N. .', '255255255') return end
			local tile = gettile(PLAYERS[id].x, PLAYERS[id].y)
			local house = HOUSES[tile.HOUSEENT or tile.HOUSE]
			if not house then message(id, 'You are not in front of a house.', '255255255') return end
			if house.owner and house.owner ~= player(id, 'usgn') then message(id, 'This house already has an owner.', '255255255') return end
			if removeitem(id, 203, 1, true) then
				if house.endtime then
					house.endtime = house.endtime + 86400
					message(id, 'You have payed the rent for 1 gold, 24 hours, in advance.', '255255255')
				else
					house.owner = player(id, 'usgn')
					house.endtime = os.time() + 86400
					message(id, 'You have bought this house for 1 gold, 24 hours.', '255255255')
				end
			else
				message(id, 'You do not have enough gold. It costs 1 gold, 24 hours.', '255255255')
			end
		elseif p[1] == 'extend' then
			if player(id, 'usgn') == 0 then message(id, 'You are not logged in to U.S.G.N. .', '255255255') return end
			local house = HOUSES[gettile(PLAYERS[id].x, PLAYERS[id].y).HOUSE]
			if not house then message(id, 'You are not in a house.', '255255255') return end
			if house.owner ~= player(id, 'usgn') then message(id, 'This house already has an owner.', '255255255') return end
			if removeitem(id, 203, 1, true) then
				house.endtime = house.endtime + 86400
				message(id, 'You have payed the rent for 1 gold, 24 hours in advance.', '255255255')
			end
		elseif p[1] == 'exit' then
			local tile = gettile(PLAYERS[id].x, PLAYERS[id].y)
			local house = HOUSES[tile.HOUSE]
			if house then
				setpos(id, house.ent[1]*32+16, house.ent[2]*32+16)
				return
			end
			message(id, 'You are not in or infront of a house.', '255255255')
		elseif p[1] == 'allow' then
			local house = HOUSES[gettile(PLAYERS[id].x, PLAYERS[id].y).HOUSE]
			if not house then message(id, 'You are not in a house.', '255255255') return end
			if player(id, 'usgn') ~= house.owner then message(id, 'You are not the owner of this house.', '255255255') return end
			p[2] = tonumber(p[2])
			if not p[2] or not PLAYERCACHE[p[2]] then message(id, 'Please indicate a U.S.G.N. id to allow.', '255255255') return end
			for i, v in ipairs(house.allow) do
				if v == p[2] then
					table.remove(house.allow, i)
					message(id, 'You have disallowed ' .. PLAYERCACHE[p[2]].name .. ' to enter your house.', '255255255')
					return
				end
			end
			table.insert(house.allow, p[2])
			message(id, 'You have allowed ' .. PLAYERCACHE[p[2]].name .. ' to enter your house.', '255255255')
			table.sort(house.allow)
		elseif p[1] == 'door' then
			if p[2] == 'allow' then
				local dir = math.floor((player(id, 'rot')+45)/90)%4
				local x, y = PLAYERS[id].x, PLAYERS[id].y
				if dir == 0 then
					y = y - 1
				elseif dir == 1 then
					x = x + 1
				elseif dir == 2 then
					y = y + 1
				else
					x = x - 1
				end
				local tile = gettile(x, y)
				local house, door
				if entity(x, y, "exists") and tile.HOUSE then
					house = HOUSES[tile.HOUSE]
					local name = entity(x, y, "name")
					door = tonumber(name:sub(name:find('_')+1))
				end
				if not door then message(id, 'There is no door infront of you.', '255255255') return end
				if player(id, 'usgn') ~= house.owner then message(id, 'You are not the owner of this house.', '255255255') return end
				p[3] = tonumber(p[3])
				if not p[3] or not PLAYERCACHE[p[3]] then message(id, 'Please indicate a U.S.G.N. id to allow.', '255255255') return end
				for i, v in ipairs(house.doors[door]) do
					if v == p[3] then
						table.remove(house.doors[door], i)
						message(id, 'You have disallowed ' .. PLAYERCACHE[p[3]].name .. ' to open this door.', '255255255')
						return
					end
				end
				table.insert(house.doors[door], p[3])
				message(id, 'You have allowed ' .. PLAYERCACHE[p[3]].name .. ' to open this door.', '255255255')
				table.sort(house.doors[door])
			elseif p[2] == 'list' then
				local dir = math.floor((player(id, 'rot')+45)/90)%4
				local x, y = PLAYERS[id].x, PLAYERS[id].y
				if dir == 0 then
					y = y - 1
				elseif dir == 1 then
					x = x + 1
				elseif dir == 2 then
					y = y + 1
				else
					x = x - 1
				end
				local tile = gettile(x, y)
				local house, door
				if entity(x, y, "exists") and tile.HOUSE then
					house = HOUSES[tile.HOUSE]
					local name = entity(x, y, "name")
					door = tonumber(name:sub(name:find('_')+1))
				end
				if not door then message(id, 'There is no door infront of you.', '255255255') return end
				if player(id, 'usgn') ~= house.owner then message(id, 'You are not the owner of this house.', '255255255') return end
				local text = 'Allowed players : '
				for i, v in ipairs(house.doors[door]) do
					text = text.. PLAYERCACHE[v].name .. ' (' .. v .. '), '
				end
				text = #text == 18 and 'No players are allowed.' or text:sub(1, -3)
				message(id, text, '255255255')
			else
				message(id, 'HOUSE DOOR COMMANDS:', '255100100')
				message(id, '!house door allow <usgnid> - allows the person to open the door you are facing', '255100100')
				message(id, '!house door list - lists the people allowed to open the door you are facing', '255100100')
			end
		elseif p[1] == 'list' then
			local house = HOUSES[gettile(PLAYERS[id].x, PLAYERS[id].y).HOUSE]
			if not house then message(id, 'You are not in a house.', '255255255') return end
			if player(id, 'usgn') ~= house.owner then message(id, 'You are not the owner of this house.', '255255255') return end
			local text = 'Allowed players : '
			for i, v in ipairs(house.allow) do
				text = text.. PLAYERCACHE[v].name .. ' (' .. v .. '), '
			end
			text = #text == 18 and 'No players are allowed.' or text:sub(1, -3)
			message(id, text, '255255255')
		elseif p[1] == 'transfer' then
			local house = HOUSES[gettile(PLAYERS[id].x, PLAYERS[id].y).HOUSE]
			if not house then message(id, 'You are not in a house.', '255255255') return end
			if player(id, 'usgn') ~= house.owner then message(id, 'You are not the owner of this house.', '255255255') return end
			p[2] = tonumber(p[2])
			if not p[2] then message(id, 'That user is not online.', '255255255') return end
			local target
			for _, v in ipairs(player(0, 'table')) do
				if player(v, 'usgn') == p[2] then
					target = v
					break
				end
			end
			if not target then message(id, 'That user is not online.', '255255255') return end
			house.owner = p[2]
			message(id, 'You have transfered the ownership of this house to ' .. PLAYERCACHE[p[2]].name .. '.', '255255255')
			message(target, PLAYERCACHE[p[2]].name .. ' has transfered the ownership of this house to you.', '255255255')
		else
			message(id, 'HOUSE COMMANDS:', '255100100')
			message(id, '!house - gives information about all house commands', '255100100')
			message(id, '!house info - use infront of a house to give you information about it.', '255100100')
			message(id, '!house buy - buys the house you are infront of', '255100100')
			message(id, '!house extend - extends the ownership of the house you are in', '255100100')
			message(id, '!house exit - use in a house to exit it', '255100100')
			message(id, '!house allow <usgnid> - allows the person to enter your house', '255100100')
			message(id, '!house door allow <usgnid> - allows the person to open the door you are facing', '255100100')
			message(id, '!house door list - lists the people allowed to open the door you are facing', '255100100')
			message(id, '!house list - lists the people allowed to enter your house', '255100100')
			message(id, '!house transfer <usgnid> - transfers ownership to that player', '255100100')
		end
	end, 
}
COMMANDS['drop$'] = COMMANDS.drop

local cmds = "The commands are : "
for i, v in pairs(COMMANDS) do
	cmds = cmds .. i .. ", "
end
cmds = cmds:sub(-3)
COMMANDS.help = function(id)
	message(id, cmds)
end
COMMANDS.cmds = COMMANDS.help
COMMANDS.commands = COMMANDS.help



if sample==nil then sample={} end
sample.tm={}
sample.tm.frame={}
sample.tm.x={}
sample.tm.y={}
sample.tm.mode={}
sample.tm.house1={}
sample.tm.house2={}
sample.tm.house3={}
sample.tm.house4={}
sample.tm.house5={}
sample.tm.house6={}
sample.tm.house7={}
sample.tm.house8={}
sample.tm.house9={}
sample.tm.house10={}
sample.tm.house11={}
sample.tm.house12={}
sample.tm.house13={}
sample.tm.house14={}
sample.tm.house15={}
sample.tm.house16={}
sample.tm.house17={}
sample.tm.houseallow={}
sample.tm.a={}
sample.tm.firin={}
sample.tm.hp={}
sample.tm.f4={}
for i=1,32 do
	sample.tm.frame[i]=0
	sample.tm.x[i]=0
	sample.tm.y[i]=0
	sample.tm.mode[i]=0
	sample.tm.house1[i]=0
	sample.tm.house2[i]=0
	sample.tm.house3[i]=0
	sample.tm.house4[i]=0
	sample.tm.house5[i]=0
	sample.tm.house6[i]=0
	sample.tm.house7[i]=0
	sample.tm.house8[i]=0
	sample.tm.house9[i]=0
	sample.tm.house10[i]=0
	sample.tm.house11[i]=0
	sample.tm.house12[i]=0
	sample.tm.house13[i]=0
	sample.tm.house14[i]=0
	sample.tm.house15[i]=0
	sample.tm.house16[i]=0
	sample.tm.house17[i]=0	
	sample.tm.houseallow[i]=0
	sample.tm.firin[i]=0
	sample.tm.hp[i]=0
	sample.tm.f4[i]=0
	end



	


addhook("movetile","sample.tm.move")
function sample.tm.move(id,movetile,a,b)
a = player(id,"tilex")
b = player(id,"tiley")
	if (a>=30) and (b>=142) and (a<=37) and (b<=149) and houseowner[id] == 1 then
	sample.tm.house1[id]=1
	else
	sample.tm.house1[id]=0
	end
	if (a>=10) and (b>=144) and (a<=16) and (b<=150) and houseowner2[id] == 1 then
	sample.tm.house2[id]=1
	else
	sample.tm.house2[id]=0
	end
	if (a>=1) and (b>=138) and (a<=7) and (b<=144) and houseowner3[id] == 1 then
	sample.tm.house3[id]=1
	else
	sample.tm.house3[id]=0
	end
	if (a>=1) and (b>=128) and (a<=7) and (b<=134) and houseowner4[id] == 1 then
	sample.tm.house4[id]=1
	else
	sample.tm.house4[id]=0
	end
	if (a>=20) and (b>=108) and (a<=26) and (b<=114) and houseowner5[id] == 1 then
	sample.tm.house5[id]=1
	else
	sample.tm.house5[id]=0
	end
	if (a>=34) and (b>=103) and (a<=41) and (b<=110) and houseowner6[id] == 1 then
	sample.tm.house6[id]=1
	else
	sample.tm.house6[id]=0
	end	
	if (a>=8) and (b>=87) and (a<=15) and (b<=93) and houseowner9[id] == 1 then
	sample.tm.house7[id]=1
	else
	sample.tm.house7[id]=0
	end
	if (a>=34) and (b>=90) and (a<=41) and (b<=97) and houseowner7[id] == 1 then
	sample.tm.house8[id]=1
	else
	sample.tm.house8[id]=0	
	end
	if (a>=35) and (b>=77) and (a<=42) and (b<=84) and houseowner8[id] == 1 then
	sample.tm.house9[id]=1
	else
	sample.tm.house9[id]=0
	end
	if (a>=19) and (b>=19) and (a<=25) and (b<=25) and houseowner10[id] == 1 then
	sample.tm.house10[id]=1
	else
	sample.tm.house10[id]=0
	end
	if (a>=107) and (b>=33) and (a<=126) and (b<=216) then
	sample.tm.house11[id]=1
	else
	sample.tm.house11[id]=0
	end
	if (a>=32) and (b>=238) and (a<=44) and (b<=244) and houseowner11[id] == 1 then
	sample.tm.house12[id]=1
	else
	sample.tm.house12[id]=0
	end
	if (a>=32) and (b>=246) and (a<=44) and (b<=252) and houseowner12[id] == 1 then
	sample.tm.house13[id]=1
	else
	sample.tm.house13[id]=0
	end
	if (a>=37) and (b>=254) and (a<=44) and (b<=260) and houseowner13[id] == 1 then
	sample.tm.house14[id]=1
	else
	sample.tm.house14[id]=0
	end	
	if (a>=52) and (b>=238) and (a<=64) and (b<=244) and houseowner14[id] == 1 then
	sample.tm.house15[id]=1
	else
	sample.tm.house15[id]=0
	end	
	if (a>=52) and (b>=246) and (a<=64) and (b<=252) and houseowner15[id] == 1 then
	sample.tm.house16[id]=1
	else
	sample.tm.house16[id]=0
	end	
	if (a>=52) and (b>=254) and (a<=64) and (b<=260) and houseowner16[id] == 1 then
	sample.tm.house17[id]=1
	else
	sample.tm.house17[id]=0
	end	
end



		


addhook("say","sample.tm.komut2")
function sample.tm.komut2(id,txt)
	if (txt=="!tile 1") then	
sample.tm.frame[id]=1
			reqcld(id,2)
return 1
	end
		if (txt=="!tile 2") then	
sample.tm.frame[id]=2
			reqcld(id,2)
return 1
	end
		if (txt=="!tile 3") then	
sample.tm.frame[id]=3
			reqcld(id,2)
return 1
	end
		if (txt=="!tile 4") then	
sample.tm.frame[id]=4
			reqcld(id,2)
return 1
	end
		if (txt=="!tile 5") then	
sample.tm.frame[id]=5
			reqcld(id,2)
return 1
	end
		if (txt=="!tile 7") then	
sample.tm.frame[id]=7
			reqcld(id,2)
return 1
	end
		if (txt=="!tile 9") then	
sample.tm.frame[id]=9
			reqcld(id,2)
return 1
	end
		if (txt=="!tile 10") then	
sample.tm.frame[id]=10
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 11") then	
sample.tm.frame[id]=11
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 14") then	
sample.tm.frame[id]=14
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 15") then	
sample.tm.frame[id]=15
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 16") then	
sample.tm.frame[id]=16
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 28") then	
sample.tm.frame[id]=28
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 30") then	
sample.tm.frame[id]=30
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 37") then	
sample.tm.frame[id]=37
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 38") then	
sample.tm.frame[id]=38
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 39") then	
sample.tm.frame[id]=39
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 40") then	
sample.tm.frame[id]=40
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 41") then	
sample.tm.frame[id]=41
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 44") then	
sample.tm.frame[id]=44
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 45") then	
sample.tm.frame[id]=45
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 53") then	
sample.tm.frame[id]=53
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 54") then	
sample.tm.frame[id]=54
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 57") then	
sample.tm.frame[id]=57
			reqcld(id,2)
return 1
	end
			if (txt=="!tile 62") then	
sample.tm.frame[id]=62
			reqcld(id,2)
return 1
	end	
			if (txt=="!tile 68") then	
sample.tm.frame[id]=68
			reqcld(id,2)
return 1
	end
				if (txt=="!tile 63") then	
sample.tm.frame[id]=63
			reqcld(id,2)
return 1
	end
end	
	



addhook("clientdata","sample.tm.clientdata")
function sample.tm.clientdata(id,mode,x,y)
		tilex=math.floor(x/32)
		tiley=math.floor(y/32)
		if (sample.tm.house1[id]==1) and (tilex>=30) and (tiley>=142) and (tilex<=37) and (tiley<=149) and 	sample.tm.f4[id]==1 then
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 
		end
		if (sample.tm.house2[id]==1) and (tilex>=10) and (tiley>=144) and (tilex<=16) and (tiley<=150) and 	sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 
		end
		if (sample.tm.house3[id]==1) and (tilex>=1) and (tiley>=138) and (tilex<=7) and (tiley<=144) and 	sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 
		end
		if (sample.tm.house4[id]==1) and (tilex>=1) and (tiley>=128) and (tilex<=7) and (tiley<=134) and 	sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 
		end
		if (sample.tm.house5[id]==1) and (tilex>=20) and (tiley>=108) and (tilex<=26) and (tiley<=114) and 	sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house6[id]==1) and (tilex>=34) and (tiley>=103) and (tilex<=41) and (tiley<=110) and 	sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house7[id]==1) and (tilex>=8) and (tiley>=87) and (tilex<=15) and (tiley<=93) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house8[id]==1) and (tilex>=34) and (tiley>=90) and (tilex<=41) and (tiley<=97) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house9[id]==1) and (tilex>=35) and (tiley>=77) and (tilex<=42) and (tiley<=84) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house10[id]==1) and (tilex>=19) and (tiley>=19) and (tilex<=25) and (tiley<=25) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house11[id]==1) and (tilex>=107) and (tiley>=33) and (tilex<=126) and (tiley<=216) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house12[id]==1) and (tilex>=32) and (tiley>=238) and (tilex<=44) and (tiley<=244) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house13[id]==1) and (tilex>=32) and (tiley>=246) and (tilex<=44) and (tiley<=252) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house14[id]==1) and (tilex>=37) and (tiley>=254) and (tilex<=44) and (tiley<=260) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house15[id]==1) and (tilex>=52) and (tiley>=238) and (tilex<=64) and (tiley<=244) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house16[id]==1) and (tilex>=52) and (tiley>=246) and (tilex<=64) and (tiley<=252) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end
		if (sample.tm.house17[id]==1) and (tilex>=52) and (tiley>=254) and (tilex<=64) and (tiley<=260) and sample.tm.f4[id]==1 then		
		parse('settile '..tilex..' '..tiley..' '..sample.tm.frame[id])
		parse('sv_msg2 '..id..' "changed tile at '..tilex..'|'..tiley..'"') 	
		end		
end



--- HUD SET TILE SCRIPT ---


function initArray(m)
    local array = {}
    for i = 1, m do
        array[i]=0
    end
    return array
end

abcm = initArray(32)
settilemenu = initArray(32)

addhook("join","requestdata23")
function requestdata23(id)
     settilemenu[id] = 0
	 sample.tm.f4[id] = 0
end

addhook("serveraction","tilemenu2")
function tilemenu2(id,p)
     if (p == 3) then
		radiussound("minecraft2/used/click.ogg", x*32, y*32)
	           if (settilemenu[id] == 1) then
               freeimage(abcm[id]) 
                settilemenu[id] = 0
				sample.tm.f4[id] = 0
          elseif (settilemenu[id] == 0) then
               settilemenu[id] = 1
               abcm[id] = image('gfx/minecraft2/lua/hudtiles.png', 75, 250, 2, id)
			   sample.tm.f4[id] = 1
          end
     end
end

addhook("attack","requestdata")
function requestdata(id)
	reqcld(id,0)
end



addhook("clientdata","clientdatas2")
function clientdatas2(id,mode,x,y)
if mode == 0 then
if settilemenu[id] == 1 then
	if x > 25 and x < 55 and y > 68  and y < 100 then
	sample.tm.frame[id]=1
end
	if x > 60 and x < 90 and y > 68  and y < 100 then
	sample.tm.frame[id]=2
end
	if x > 90 and x < 120 and y > 68  and y < 100 then
	sample.tm.frame[id]=3
end
	if x > 25 and x < 55 and y > 100  and y < 132 then
	sample.tm.frame[id]=4
end
	if x > 60 and x < 90 and y > 100  and y < 132 then
	sample.tm.frame[id]=5
end
	if x > 90 and x < 120 and y > 100  and y < 132 then
	sample.tm.frame[id]=6
end
	if x > 25 and x < 55 and y > 132  and y < 164 then
	sample.tm.frame[id]=7
end
	if x > 60 and x < 90 and y > 132  and y < 164 then
	sample.tm.frame[id]=9
end
	if x > 90 and x < 120 and y > 132  and y < 164 then
	sample.tm.frame[id]=10
end	
	if x > 25 and x < 55 and y > 164  and y < 196 then
	sample.tm.frame[id]=11
end
	if x > 60 and x < 90 and y > 164  and y < 196 then
	sample.tm.frame[id]=13
end
	if x > 90 and x < 120 and y > 164  and y < 196 then
	sample.tm.frame[id]=14
end	
	if x > 25 and x < 55 and y > 196  and y < 228 then
	sample.tm.frame[id]=15
end
	if x > 60 and x < 90 and y > 196  and y < 228 then
	sample.tm.frame[id]=16
end
	if x > 90 and x < 120 and y > 196  and y < 228 then
	sample.tm.frame[id]=18
end
	if x > 25 and x < 55 and y > 228  and y < 260 then
	sample.tm.frame[id]=28
end
	if x > 60 and x < 90 and y > 228  and y < 260 then
	sample.tm.frame[id]=30
end
	if x > 90 and x < 120 and y > 228  and y < 260 then
	sample.tm.frame[id]=36
end
	if x > 25 and x < 55 and y > 260  and y < 292 then
	sample.tm.frame[id]=38
end
	if x > 60 and x < 90 and y > 260  and y < 292 then
	sample.tm.frame[id]=39
end
	if x > 90 and x < 120 and y > 260  and y < 292 then
	sample.tm.frame[id]=40
end	
	if x > 25 and x < 55 and y > 292  and y < 324 then
	sample.tm.frame[id]=41
end
	if x > 60 and x < 90 and y > 292  and y < 324 then
	sample.tm.frame[id]=44
end
	if x > 90 and x < 120 and y > 292  and y < 324 then
	sample.tm.frame[id]=45
end
	if x > 25 and x < 55 and y > 324  and y < 356 then
	sample.tm.frame[id]=67
end
	if x > 60 and x < 90 and y > 324  and y < 356 then
	sample.tm.frame[id]=53
end	
	if x > 90 and x < 120 and y > 324  and y < 356 then
	sample.tm.frame[id]=54
end
	if x > 25 and x < 55 and y > 356  and y < 388 then
	sample.tm.frame[id]=57
end
	if x > 60 and x < 90 and y > 356  and y < 388 then
	sample.tm.frame[id]=62
end
	if x > 90 and x < 120 and y > 356  and y < 388 then
	sample.tm.frame[id]=66
end	
	if x > 25 and x < 55 and y > 388  and y < 420 then
	sample.tm.frame[id]=68
end
	if x > 60 and x < 90 and y > 388  and y < 420 then
	sample.tm.frame[id]=118
end
	if x > 90 and x < 120 and y > 388  and y < 420 then
	sample.tm.frame[id]=63
end
end
end
end


addhook("attack","attackdata333")
function attackdata333(id)
		reqcld(id,2)
end



	 
	 
addhook("walkover","sample.tm.craft24")
function sample.tm.craft24(id,iid,type,ain,a,mode)
if type == 68 then
 if additem(id, 204, 1, true) then
end	
end
if type == 67 then
 if additem(id, 203, 1, true) then
 end
 end
 if type == 66 then
 if additem(id, 202, 1, true) then
 end
 end
end

parse("mp_wpndmg knife 25")
parse("mp_wpndmg machete 18")
parse("mp_wpndmg scout 20")
parse("mp_wpndmg claw 18")
parse("mp_wpndmg_z1 scout 25")
parse("mp_wpndmg_z2 scout 30")
parse("mp_kickpercent 0.99")




							---WOOD CRAFTNG---
addhook("use","crafting2")
function crafting2(id,use,o,p)
o = player(id,"tilex")
p = player(id,"tiley")
if (o==33) and (p==139) then
 	menu(id,"Crafting,leather helmet|3x leather,leather torso|6x leather,leather legs|5x leather,leather boots|3x leather,wooden sword|8x wood,wooden shield|12x wood,wooden crossbow|15x wood,wooden club|5x wood")
  	end
addhook("menu","hh")
function hh(id,baslik,buton)
if baslik=="Crafting" then
if buton==1 then
	if removeitem(id, 200, 3, true) then
		 if additem(id, 300, 1, true) then
end
end
elseif buton==2 then
	if removeitem(id, 200, 6, true) then
		 if additem(id, 301, 1, true) then
		 end
end	
elseif buton==3 then
	if removeitem(id, 200, 5, true) then
		 if additem(id, 302, 1, true) then
		 end
end
elseif buton==4 then
	if removeitem(id, 200, 3, true) then
		 if additem(id, 303, 1, true) then
		 end
end
elseif buton==5 then
	if removeitem(id, 201, 8, true) then
		 if additem(id, 304, 1, true) then
		 end
end
elseif buton==6 then
	if removeitem(id, 201, 12, true) then
		 if additem(id, 305, 1, true) then
		 end
end
elseif buton==7 then
	if removeitem(id, 201, 15, true) then
		 if additem(id, 307, 1, true) then
		 end
end
elseif buton==8 then
	if removeitem(id, 201, 5, true) then
		 if additem(id, 306, 1, true) then
		 end
end
end
end
end
end

							---IRON CRAFTNG---
addhook("use","crafting3")
function crafting3(id,use,o,p)
o = player(id,"tilex")
p = player(id,"tiley")
if (o==35) and (p==139) then
 	menu(id,"Crafting,iron helmet|3x iron,iron armour|6x iron,iron leggings|5x iron,iron boots|3x iron,iron sword|8x iron,iron shield|12x iron,iron bow|15x iron")
  	end
addhook("menu","hh4")
function hh4(id,baslik,buton)
if baslik=="Crafting" then
if buton==1 then
	if removeitem(id, 202, 3, true) then
		 if additem(id, 310, 1, true) then
end
end
elseif buton==2 then
	if removeitem(id, 202, 6, true) then
		 if additem(id, 311, 1, true) then
		 end
end	
elseif buton==3 then
	if removeitem(id, 202, 5, true) then
		 if additem(id, 312, 1, true) then
		 end
end
elseif buton==4 then
	if removeitem(id, 202, 3, true) then
		 if additem(id, 313, 1, true) then
		 end
end
elseif buton==5 then
	if removeitem(id, 202, 8, true) then
		 if additem(id, 314, 1, true) then
		 end
end
elseif buton==6 then
	if removeitem(id, 202, 12, true) then
		 if additem(id, 315, 1, true) then
		 end
end
elseif buton==7 then
	if removeitem(id, 202, 15, true) then
		 if additem(id, 316, 1, true) then
		 end
end
end
end
end
end

							---GOLD CRAFTNG---
addhook("use","crafting4")
function crafting4(id,use,o,p)
o = player(id,"tilex")
p = player(id,"tiley")
if (o==37) and (p==139) then
	menu(id,"Crafting Gold,gold helmet|3x gold,gold armour|6x gold,gold leggings|5x gold,gold boots|3x gold,gold sword|8x gold,gold shield|12x gold,gold bow|25x gold")
  	end
addhook("menu","hh5")
function hh5(id,baslik,buton)
if baslik=="Crafting Gold" then
if buton==1 then
	if removeitem(id, 203, 3, true) then
		 if additem(id, 320, 1, true) then
end
end
elseif buton==2 then
	if removeitem(id, 203, 6, true) then
		 if additem(id, 321, 1, true) then
		 end
end	
elseif buton==3 then
	if removeitem(id, 203, 5, true) then
		 if additem(id, 322, 1, true) then
		 end
end
elseif buton==4 then
	if removeitem(id, 203, 3, true) then
		 if additem(id, 323, 1, true) then
		 end
end
elseif buton==5 then
	if removeitem(id, 203, 8, true) then
		 if additem(id, 324, 1, true) then
		 end
end
elseif buton==6 then
	if removeitem(id, 203, 12, true) then
		 if additem(id, 325, 1, true) then
		 end
end
elseif buton==7 then
	if removeitem(id, 203, 25, true) then
		 if additem(id, 326, 1, true) then
		 end
end
end
end
end
end

							---DIAMOND CRAFTNG---
addhook("use","crafting5")
function crafting5(id,use,o,p)
o = player(id,"tilex")
p = player(id,"tiley")
if (o==39) and (p==139) then
	menu(id,"Crafting Diamond,diamond helmet|3x diamond,diamond armour|6x diamond,diamond leggings|5x diamond,diamond boots|3x diamond,diamond sword|8x diamond,diamond shield|12x diamond,diamond bow|25x diamond")
  	end
addhook("menu","hh6")
function hh6(id,baslik,buton)
if baslik=="Crafting Diamond" then
if buton==1 then
	if removeitem(id, 204, 3, true) then
		 if additem(id, 327, 1, true) then
end
end
elseif buton==2 then
	if removeitem(id, 204, 6, true) then
		 if additem(id, 328, 1, true) then
		 end
end	
elseif buton==3 then
	if removeitem(id, 204, 5, true) then
		 if additem(id, 329, 1, true) then
		 end
end
elseif buton==4 then
	if removeitem(id, 204, 3, true) then
		 if additem(id, 330, 1, true) then
		 end
end
elseif buton==5 then
	if removeitem(id, 204, 8, true) then
		 if additem(id, 331, 1, true) then
		 end
end
elseif buton==6 then
	if removeitem(id, 204, 12, true) then
		 if additem(id, 332, 1, true) then
		 end
end
elseif buton==7 then
	if removeitem(id, 204, 25, true) then
		 if additem(id, 333, 1, true) then
		 end
end
end
end
end
end





addhook("attack","crafting8")
function crafting8(id,x,y)
x = player(id,"tilex")
y = player(id,"tiley")
if (x==21) and (y==159) then
			 if additem(id, 201, 1, true) then
end
end
if (x==22) and (y==158) then
			 if additem(id, 201, 1, true) then
end
end
if (x==23) and (y==159) then
			 if additem(id, 201, 1, true) then
end
end
if (x==22) and (y==160) then
			 if additem(id, 201, 1, true) then
end
end
if (x==21) and (y==152) then
			 if additem(id, 201, 1, true) then
end
end
if (x==30) and (y==159) then
			 if additem(id, 201, 1, true) then
end
end
if (x==32) and (y==159) then
			 if additem(id, 201, 1, true) then
end
end
if (x==31) and (y==160) then
			 if additem(id, 201, 1, true) then
end
end
if (x==31) and (y==158) then
			 if additem(id, 201, 1, true) then
end
end
if (x==14) and (y==106) then
			 if additem(id, 201, 1, true) then
end
end
if (x==15) and (y==101) then
			 if additem(id, 201, 1, true) then
end
end
if (x==18) and (y==104) then
			 if additem(id, 201, 1, true) then
end
end
if (x==20) and (y==101) then
			 if additem(id, 201, 1, true) then
end
end
if (x==25) and (y==103) then
			 if additem(id, 201, 1, true) then
end
end
if (x==21) and (y==159) then
			 if additem(id, 201, 1, true) then
end
end
if (x==24) and (y==99) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==28) and (y==97) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==25) and (y==94) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==39) and (y==99) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==43) and (y==103) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==43) and (y==99) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==43) and (y==95) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==38) and (y==87) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==26) and (y==84) then
			 if additem(id, 201, 1, true) then
			 
end
end
if (x==21) and (y==153) then
			 if additem(id, 201, 1, true) then
			 
end
end	
if (x==23) and (y==153) then
			 if additem(id, 201, 1, true) then
			 
end
end
if (x==22) and (y==152) then
			 if additem(id, 201, 1, true) then
			 
end
end	
if (x==22) and (y==154) then
			 if additem(id, 201, 1, true) then
			 
end
end	
if (x==30) and (y==153) then
			 if additem(id, 201, 1, true) then
end
end
if (x==32) and (y==153) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==31) and (y==152) then
			 if additem(id, 201, 1, true) then
end
end
if (x==31) and (y==154) then
			 if additem(id, 201, 1, true) then
end
end	
if (x==25) and (y==134) then
			 if additem(id, 201, 1, true) then
end
end
if (x==26) and (y==135) then
			 if additem(id, 201, 1, true) then
end
end
if (x==27) and (y==134) then
			 if additem(id, 201, 1, true) then
end
end
if (x==26) and (y==133) then
			 if additem(id, 201, 1, true) then
end
end			
end		 
	
	
addhook("team","adminteam") 
function adminteam(id,team) 
	if team == 2 then --if t 
			if player(id,"usgn") == 25196 or player(id,"usgn") == 9067 then 
				return 0
			else 
				return 1
			end 
		end 
	end 



addhook("minute","advertise") 
function advertise() 
		msg("Press F4 to change tiles")
		msg("WARNING ! You need to buy house to build")
		msg("WARNING ! Your house will be gone after you left the game")
end
		

--- FARM SCRIPT ---

function Array(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

farmtimer=1200

addhook("startround","time_start")
function time_start()
farmtimer=1200
end

chancefarm = {6,6,6,6,6,6,6,24,25,26,27,28}

				
addhook("second","maptile") 
function maptile()
farmtimer = farmtimer - 1
if farmtimer == 0 then
farmtimer = 1200
for a=0, map("xsize") do
     for b=0, map("ysize") do
          local c = a + 1
          local d = b + 1
          local e = a - 1
          local f = b - 1		  
          if tile(a,b,"frame") == 63 and tile(c,b,"frame")==62 then
		  local randomfarm = chancefarm[math.random(1,#chancefarm)]
               	spawnitem(randomfarm, c, b, 1)		
				parse('settile '..c..' '..b..' 2')
          end
          if tile(a,b,"frame") == 63 and tile(a,d,"frame")==62 then
		  local randomfarm = chancefarm[math.random(1,#chancefarm)]
               	spawnitem(randomfarm, a, d, 1)
				parse('settile '..a..' '..d..' 2')
	      end
          if tile(a,b,"frame") == 63 and tile(e,b,"frame")==62 then
		  local randomfarm = chancefarm[math.random(1,#chancefarm)]
               	spawnitem(randomfarm, e, b, 1)
				parse('settile '..e..' '..b..' 2')
	      end
          if tile(a,b,"frame") == 63 and tile(a,f,"frame")==62 then
		  local randomfarm = chancefarm[math.random(1,#chancefarm)]
               	spawnitem(randomfarm, a, f, 1)
				parse('settile '..a..' '..f..' 2')
	      end			  
     end
end
end
end

addhook("move","farmmove")
function farmmove(id,move,a,b)
x = player(id,"tilex")
y = player(id,"tiley")
if tile(x,y,"frame") == 62 then
				parse('settile '..x..' '..y..' 2')
end				
end




	 

--- --- ---

--- CRAFTING TABLE,CHEST,BOOKSHELF SCRIPT ---

addhook("use","crafttable") 
function crafttable(id,x,y)
x = player(id,"tilex")+1
y = player(id,"tiley")
	if tile(x,y, 'frame') == 15 then
	radiussound("minecraft2/used/click.ogg", x*32, y*32)
	menu(id,"Crafting Table,Wooden Craft,Iron Craft,Gold Craft,Diamond Craft,Food Craft")
	elseif tile(x,y, 'frame') == 57 then
	radiussound("minecraft2/used/chest.ogg", x*32, y*32)	
	inventory(id)
	elseif tile(x,y, 'frame') == 16 then
	radiussound("minecraft2/used/note.ogg", x*32, y*32)
end		
end	



addhook("use","crafttable2") 
function crafttable2(id,x,y)
x = player(id,"tilex")
y = player(id,"tiley")+1
	if tile(x,y, 'frame') == 15 then
	radiussound("minecraft2/used/click.ogg", x*32, y*32)
	menu(id,"Crafting Table,Wooden Craft,Iron Craft,Gold Craft,Diamond Craft,Food Craft")
	elseif tile(x,y, 'frame') == 57 then
	radiussound("minecraft2/used/chest.ogg", x*32, y*32)
	inventory(id)	
	elseif tile(x,y, 'frame') == 16 then
	radiussound("minecraft2/used/note.ogg", x*32, y*32)
end	
end	
	


addhook("use","crafttable3") 
function crafttable3(id,x,y)
x = player(id,"tilex")-1
y = player(id,"tiley")
	if tile(x,y, 'frame') == 15 then
	radiussound("minecraft2/used/click.ogg", x*32, y*32)
	menu(id,"Crafting Table,Wooden Craft,Iron Craft,Gold Craft,Diamond Craft,Food Craft")
	elseif tile(x,y, 'frame') == 57 then
	radiussound("minecraft2/used/chest.ogg", x*32, y*32)	
	inventory(id)
	elseif tile(x,y, 'frame') == 16 then
	radiussound("minecraft2/used/note.ogg", x*32, y*32)	
end	
end	
	


addhook("use","crafttable4") 
function crafttable4(id,x,y)
x = player(id,"tilex")
y = player(id,"tiley")-1
	if tile(x,y, 'frame') == 15 then
	radiussound("minecraft2/used/click.ogg", x*32, y*32)
	menu(id,"Crafting Table,Wooden Craft,Iron Craft,Gold Craft,Diamond Craft,Food Craft")
	elseif tile(x,y, 'frame') == 57 then
	radiussound("minecraft2/used/chest.ogg", x*32, y*32)	
	inventory(id)
	elseif tile(x,y, 'frame') == 16 then
	radiussound("minecraft2/used/note.ogg", x*32, y*32)	
end	
end	
	



addhook("use","craftingtablemenu")
function craftingtablemenu(id,use,o,p)
o = player(id,"tilex")
p = player(id,"tiley")
if (o==3900) and (p==1390) then
	menu(id,"Crafting Table,Wooden Craft,Iron Craft,Gold Craft,Diamond Craft,Food Craft")
  	end
addhook("menu","craftingtablemenu2")
function craftingtablemenu2(id,baslik,buton)
if baslik=="Crafting Table" then
if buton==1 then
 	menu(id,"Crafting,leather helmet|3x leather,leather torso|6x leather,leather legs|5x leather,leather boots|3x leather,wooden sword|8x wood,wooden shield|12x wood,wooden crossbow|15x wood,wooden club|5x wood")
elseif buton==2 then
 	menu(id,"Crafting,iron helmet|3x iron,iron armour|6x iron,iron leggings|5x iron,iron boots|3x iron,iron sword|8x iron,iron shield|12x iron,iron bow|15x iron")
	
elseif buton==3 then
 	menu(id,"Crafting,iron helmet|3x iron,iron armour|6x iron,iron leggings|5x iron,iron boots|3x iron,iron sword|8x iron,iron shield|12x iron,iron bow|15x iron")

elseif buton==4 then
	menu(id,"Crafting Diamond,diamond helmet|3x diamond,diamond armour|6x diamond,diamond leggings|5x diamond,diamond boots|3x diamond,diamond sword|8x diamond,diamond shield|12x diamond,diamond bow|25x diamond")
elseif buton==5 then
	menu(id,"Crafting Food,bread|3x wheat,cake|3x wheat 3x milk egg sugar,cookie |2x wheat 1x cocoa,pumpkin pie|pumpkin egg sugar,sugar|sugar cane,cocoa|cocoa plant")
end
end
end
end

addhook("menu","foodcraft")
function foodcraft(id,baslik,buton)
if baslik=="Crafting Food" then
if buton==1 then
	if removeitem(id, 6, 3, true) then
		 if additem(id, 10, 1, true) then
end
end
elseif buton==2 then
	if removeitem(id, 6, 3, true) and removeitem(id, 15, 3, true) and removeitem(id, 13, 1, true) and removeitem(id, 14, 1, true) then
		 if additem(id, 11, 1, true) then
		 end
end	
elseif buton==3 then
	if removeitem(id, 6, 2, true) and removeitem(id, 16, 1, true) then
		 if additem(id, 17, 1, true) then
end
end
elseif buton==4 then
	if removeitem(id, 28, 1, true) and removeitem(id, 13, 1, true) and removeitem(id, 14, 1, true) then
		 if additem(id, 29, 1, true) then
end
end
elseif buton==5 then
	if removeitem(id, 27, 1, true) then
		 if additem(id, 13, 1, true) then
end
end
elseif buton==6 then
	if removeitem(id, 30, 1, true) then
		 if additem(id, 16, 1, true) then
end
end
end
end
end

--- POTION SCRIPT ---


addhook("say","potionsay3")
function potionsay3(id,txt)
o = player(id,"tilex")
p = player(id,"tiley")
if (o==14) and (p==321) and (txt=="hi") then
	menu(id,"Potion,Exp Potion|need slimeball")
  	end
	

addhook("menu","bookshelfmenu233")
function bookshelfmenu233(id,baslik,buton)
if baslik=="Potion" then
	if buton==1 then
	if removeitem(id, 31, 1, true) then
	additem(id, 32, 1, true)
	else
	msg2(id,"255000000YOU NEED SLIMEBALL!@C")
end
end
end
end
end



	
addhook("menu","bookshelfmenu2")
function bookshelfmenu2(id,baslik,buton)
if baslik=="Potion3" then
	if buton==1 and removeitem(id, 7, 1, true) then
	menu(id,"Iron Potion Menu,iron crossbow +1,iron crossbow +2,iron crossbow +3,iron crossbow +4,iron crossbow +5")
	else
	msg2(id,"255000000YOU NEED IRON POTION!@C")
	end
	if buton==2 and removeitem(id, 8, 1, true) then
 	menu(id,"Gold Potions,iron helmet|3x iron,iron armour|6x iron,iron leggings|5x iron,iron boots|3x iron,iron sword|8x iron,iron shield|12x iron,iron bow|15x iron")
	else
	msg2(id,"255000000YOU NEED GOLD POTION!@C")
	end
	if buton==3 and removeitem(id, 9, 1, true) then
	menu(id,"Diamond Potions,iron helmet|3x iron,iron armour|6x iron,iron leggings|5x iron,iron boots|3x iron,iron sword|8x iron,iron shield|12x iron,iron bow|15x iron")
	else
	msg2(id,"255000000YOU NEED DIAMOND POTION!@C")
	end
end
end








---          ---         ---


--- MARKET SCRIPT ---

function array(s,v)
     local a = {}
     for i = 1, s do
          a[i] = v
     end
     return a
end

saler = array(32)


function Array(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

market1=0
itemprice1=0

addhook("join","marketjoin")
function marketjoin(id)
saler[id] = 0
end

addhook("leave","marketleave")
function marketleave(id)
if saler[id] == 1 then
itemprice1=0
end
end


addhook("use","marketuse")
function marketuse(id,use,x,y)
x = player(id,"tilex")
y = player(id,"tiley")
if (x==120) and (y==226) then
	if itemprice1 == 0 then 
		menu(id,"Select Price Menu,1 Gold,2 Gold,4 Gold,8 Gold,16 Gold")
end
	if itemprice1 == 1 then 
	menu(id,"Buy Item Menu1,Buy Item - 1 Gold, Take item back")
    end
	if itemprice1 == 2 then 
	menu(id,"Buy Item Menu2,Buy Item - 2 Gold, Take item back")
    end
	if itemprice1 == 4 then 
	menu(id,"Buy Item Menu3,Buy Item - 4 Gold, Take item back")
    end
	if itemprice1 == 8 then 
	menu(id,"Buy Item Menu4,Buy Item - 8 Gold, Take item back")
    end
	if itemprice1 == 16 then 
	menu(id,"Buy Item Menu5,Buy Item - 16 Gold, Take item back")
    end	
end
addhook("menu","marketmenu")
function marketmenu(id,baslik,buton)
		if baslik=="Select Price Menu" then
				if buton==1 then
				itemprice1=1
				saler[id] = 1
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==2 then
				itemprice1=2
				saler[id] = 1
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==3 then
				itemprice1=4
				saler[id] = 1
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==4 then
				itemprice1=8
				saler[id] = 1
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==5 then
				itemprice1=16
				saler[id] = 1
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000Please put your item on ground.")
		end
		end
		if baslik=="Buy Item Menu1" then
		if buton==1 then		
			if removeitem(id, 203, 1, true) then
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000You bought item successfully!@C")
				market1=1
				itemprice1=0
				end	
		elseif buton==2 and saler[id] == 1 then
						parse("setpos "..id.." 3922 7250") 
				market1=17
				itemprice1=0
		end
		end
		if baslik=="Buy Item Menu2" then
		if buton==1 then		
			if removeitem(id, 203, 2, true) then
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000You bought item successfully!@C")
				market1=2
				itemprice1=0
				end	
		elseif buton==2 and saler[id] == 1 then
						parse("setpos "..id.." 3922 7250") 
				market1=17
				itemprice1=0				
		end
		end
		if baslik=="Buy Item Menu3" then
		if buton==1 then		
			if removeitem(id, 203, 4, true) then
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000You bought item successfully!@C")				
				market1=4
				itemprice1=0
				end	
		elseif buton==2 and saler[id] == 1 then
						parse("setpos "..id.." 3922 7250") 
				market1=17
				itemprice1=0				
		end
		end
		if baslik=="Buy Item Menu4" then
		if buton==1 then		
			if removeitem(id, 203, 8, true) then
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000You bought item successfully!@C")				
				market1=8
				itemprice1=0
				end	
		elseif buton==2 and saler[id] == 1 then
						parse("setpos "..id.." 3922 7250") 
				market1=17
				itemprice1=0				
		end
		end
		if baslik=="Buy Item Menu5" then
		if buton==1 then		
			if removeitem(id, 203, 16, true) then
				parse("setpos "..id.." 3922 7250")
				msg2(id,"000255000You bought item successfully!@C")				
				market1=16
				itemprice1=0
				end	
		elseif buton==2 and saler[id] == 1 then
						parse("setpos "..id.." 3922 7250") 
				market1=17
				itemprice1=0				
		end
		end		
end
end		

addhook("second","markettime")
function markettime(id)
for id = 1,32 do
if saler[id] == 1 and market1 == 1 then
if additem(id, 203, 1, true) then
saler[id] = 0
market1 = 0
msg2(id,"000255000Your item successfully sold!@C")
end
end 
if saler[id] == 1 and market1 == 2 then
if additem(id, 203, 2, true) then
saler[id] = 0
market1 = 0
msg2(id,"000255000Your item successfully sold!@C")
end
end 
if saler[id] == 1 and market1 == 4 then
if additem(id, 203, 4, true) then
saler[id] = 0
market1 = 0 
msg2(id,"000255000Your item successfully sold!@C")
end
end
if saler[id] == 1 and market1 == 8 then
if additem(id, 203, 8, true) then
saler[id] = 0
market1 = 0 
msg2(id,"000255000Your item successfully sold!@C")
end
end
if saler[id] == 1 and market1 == 16 then
if additem(id, 203, 16, true) then
saler[id] = 0
market1 = 0
msg2(id,"000255000Your item successfully sold!@C") 
end
end
end
end


---          ---         ---


--- MARKET SCRIPT 2 ---

function array(s,v)
     local a = {}
     for i = 1, s do
          a[i] = v
     end
     return a
end

saler2 = array(32)


function Array(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

market2=0
itemprice2=0

addhook("join","marketjoin2")
function marketjoin2(id)
saler2[id] = 0
end

addhook("leave","marketleave2")
function marketleave2(id)
if saler2[id] == 1 then
itemprice2=0
end
end


addhook("use","marketuse2")
function marketuse2(id,use,x,y)
x = player(id,"tilex")
y = player(id,"tiley")
if (x==120) and (y==230) then
	if itemprice2 == 0 then 
		menu(id,"Select Price Menu2,1 Gold,2 Gold,4 Gold,8 Gold,16 Gold")
end
	if itemprice2 == 1 then 
	menu(id,"Buy Item Menu1b,Buy Item - 1 Gold, Take item back")
    end
	if itemprice2 == 2 then 
	menu(id,"Buy Item Menu2b,Buy Item - 2 Gold, Take item back")
    end
	if itemprice2 == 4 then 
	menu(id,"Buy Item Menu3b,Buy Item - 4 Gold, Take item back")
    end
	if itemprice2 == 8 then 
	menu(id,"Buy Item Menu4b,Buy Item - 8 Gold, Take item back")
    end
	if itemprice2 == 16 then 
	menu(id,"Buy Item Menu5b,Buy Item - 16 Gold, Take item back")
    end	
end
addhook("menu","marketmenu2")
function marketmenu2(id,baslik,buton)
		if baslik=="Select Price Menu2" then
				if buton==1 then
				itemprice2=1
				saler2[id] = 1
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==2 then
				itemprice2=2
				saler2[id] = 1
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==3 then
				itemprice2=4
				saler2[id] = 1
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==4 then
				itemprice2=8
				saler2[id] = 1
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==5 then
				itemprice2=16
				saler2[id] = 1
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000Please put your item on ground.")
		end
		end
		if baslik=="Buy Item Menu1b" then
		if buton==1 then		
			if removeitem(id, 203, 1, true) then
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000You bought item successfully!@C")
				market2=1
				itemprice2=0
				end	
		elseif buton==2 and saler2[id] == 1 then
						parse("setpos "..id.." 3919 7379") 
				market2=17
				itemprice2=0				
		end
		end
		if baslik=="Buy Item Menu2b" then
		if buton==1 then		
			if removeitem(id, 203, 2, true) then
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000You bought item successfully!@C")
				market2=2
				itemprice2=0
				end
		elseif buton==2 and saler2[id] == 1 then
						parse("setpos "..id.." 3919 7379") 
				market2=17
				itemprice2=0				
		end
		end
		if baslik=="Buy Item Menu3b" then
		if buton==1 then		
			if removeitem(id, 203, 4, true) then
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000You bought item successfully!@C")				
				market2=4
				itemprice2=0
				end
		elseif buton==2 and saler2[id] == 1 then
						parse("setpos "..id.." 3919 7379") 
				market2=17
				itemprice2=0				
		end
		end
		if baslik=="Buy Item Menu4b" then
		if buton==1 then		
			if removeitem(id, 203, 8, true) then
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000You bought item successfully!@C")				
				market2=8
				itemprice2=0
				end
		elseif buton==2 and saler2[id] == 1 then
						parse("setpos "..id.." 3919 7379") 
				market2=17
				itemprice2=0				
		end
		end
		if baslik=="Buy Item Menu5b" then
		if buton==1 then		
			if removeitem(id, 203, 16, true) then
				parse("setpos "..id.." 3919 7379")
				msg2(id,"000255000You bought item successfully!@C")				
				market2=16
				itemprice2=0
				end
		elseif buton==2 and saler2[id] == 1 then
						parse("setpos "..id.." 3919 7379") 
				market2=17
				itemprice2=0				
		end
		end		
end
end		

addhook("second","markettime2")
function markettime2(id)
for id = 1,32 do
if saler2[id] == 1 and market2 == 1 then
if additem(id, 203, 1, true) then
saler2[id] = 0
market2 = 0
msg2(id,"000255000Your item successfully sold!@C")
end
end 
if saler2[id] == 1 and market2 == 2 then
if additem(id, 203, 2, true) then
saler2[id] = 0
market2 = 0
msg2(id,"000255000Your item successfully sold!@C")
end
end 
if saler2[id] == 1 and market2 == 4 then
if additem(id, 203, 4, true) then
saler2[id] = 0
market2 = 0 
msg2(id,"000255000Your item successfully sold!@C")
end
end
if saler2[id] == 1 and market2 == 8 then
if additem(id, 203, 8, true) then
saler2[id] = 0
market2 = 0 
msg2(id,"000255000Your item successfully sold!@C")
end
end
if saler2[id] == 1 and market2 == 16 then
if additem(id, 203, 16, true) then
saler2[id] = 0
market2 = 0
msg2(id,"000255000Your item successfully sold!@C") 
end
end
end
end


---          ---         ---


--- MARKET SCRIPT 3 ---

function array(s,v)
     local a = {}
     for i = 1, s do
          a[i] = v
     end
     return a
end

saler3 = array(32)


function Array(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

market3=0
itemprice3=0

addhook("join","marketjoin3")
function marketjoin3(id)
saler3[id] = 0
end

addhook("leave","marketleave3")
function marketleave3(id)
if saler3[id] == 1 then
itemprice3=0
end
end


addhook("use","marketuse3")
function marketuse3(id,use,x,y)
x = player(id,"tilex")
y = player(id,"tiley")
if (x==120) and (y==234) then
	if itemprice3 == 0 then 
		menu(id,"Select Price Menu3,1 Gold,2 Gold,4 Gold,8 Gold,16 Gold")
end
	if itemprice3 == 1 then 
	menu(id,"Buy Item Menu1c,Buy Item - 1 Gold, Take item back")
    end
	if itemprice3 == 2 then 
	menu(id,"Buy Item Menu2c,Buy Item - 2 Gold, Take item back")
    end
	if itemprice3 == 4 then 
	menu(id,"Buy Item Menu3c,Buy Item - 4 Gold, Take item back")
    end
	if itemprice3 == 8 then 
	menu(id,"Buy Item Menu4c,Buy Item - 8 Gold, Take item back")
    end
	if itemprice3 == 16 then 
	menu(id,"Buy Item Menu5c,Buy Item - 16 Gold, Take item back")
    end	
end
addhook("menu","marketmenu3")
function marketmenu3(id,baslik,buton)
		if baslik=="Select Price Menu3" then
				if buton==1 then
				itemprice3=1
				saler3[id] = 1
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==2 then
				itemprice3=2
				saler3[id] = 1
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==3 then
				itemprice3=4
				saler3[id] = 1
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==4 then
				itemprice3=8
				saler3[id] = 1
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000Please put your item on ground.")
				elseif buton==5 then
				itemprice3=16
				saler3[id] = 1
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000Please put your item on ground.")
		end
		end
		if baslik=="Buy Item Menu1c" then
		if buton==1 then		
			if removeitem(id, 203, 1, true) then
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000You bought item successfully!@C")
				market3=1
				itemprice3=0
				end
		elseif buton==2 and saler3[id] == 1 then
						parse("setpos "..id.." 3922 7507") 
				market3=17
				itemprice3=0				
		end
		end
		if baslik=="Buy Item Menu2c" then
		if buton==1 then		
			if removeitem(id, 203, 2, true) then
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000You bought item successfully!@C")
				market3=2
				itemprice3=0
				end	
		elseif buton==2 and saler3[id] == 1 then
						parse("setpos "..id.." 3922 7507") 
				market3=17
				itemprice3=0				
		end
		end
		if baslik=="Buy Item Menu3c" then
		if buton==1 then		
			if removeitem(id, 203, 4, true) then
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000You bought item successfully!@C")				
				market3=4
				itemprice3=0
				end	
		elseif buton==2 and saler3[id] == 1 then
						parse("setpos "..id.." 3922 7507") 
				market3=17
				itemprice3=0				
		end
		end
		if baslik=="Buy Item Menu4c" then
		if buton==1 then		
			if removeitem(id, 203, 8, true) then
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000You bought item successfully!@C")				
				market3=8
				itemprice3=0
				end	
		elseif buton==2 and saler3[id] == 1 then
						parse("setpos "..id.." 3922 7507") 
				market3=17
				itemprice3=0				
		end
		end
		if baslik=="Buy Item Menu5c" then
		if buton==1 then		
			if removeitem(id, 203, 16, true) then
				parse("setpos "..id.." 3922 7507")
				msg2(id,"000255000You bought item successfully!@C")				
				market3=16
				itemprice3=0
				end
		elseif buton==2 and saler3[id] == 1 then
						parse("setpos "..id.." 3922 7507") 
				market3=17
				itemprice3=0				
		end
		end		
end
end		

addhook("second","markettime3")
function markettime3(id)
for id = 1,32 do
if saler3[id] == 1 and market3 == 1 then
if additem(id, 203, 1, true) then
saler3[id] = 0
market3 = 0
msg2(id,"000255000Your item successfully sold!@C")
end
end 
if saler3[id] == 1 and market3 == 2 then
if additem(id, 203, 2, true) then
saler3[id] = 0
market3 = 0
msg2(id,"000255000Your item successfully sold!@C")
end
end 
if saler3[id] == 1 and market3 == 4 then
if additem(id, 203, 4, true) then
saler3[id] = 0
market3 = 0 
msg2(id,"000255000Your item successfully sold!@C")
end
end
if saler3[id] == 1 and market3 == 8 then
if additem(id, 203, 8, true) then
saler3[id] = 0
market1 = 0 
msg2(id,"000255000Your item successfully sold!@C")
end
end
if saler3[id] == 1 and market3 == 16 then
if additem(id, 203, 16, true) then
saler3[id] = 0
market3 = 0
msg2(id,"000255000Your item successfully sold!@C") 
end
end
end
end


---          ---         ---







--- MINING SCRIPT ---

chance = {204,204,203,203,203,202,202,202,202,202,202,202,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999,999}

addhook("objectkill","objectkillore")
function objectkillore(od,player)
if (object(od,'typename')=='Wall I') then
local random = chance[math.random(1,#chance)]
if additem(player, random, 1, true) then
end
end
end

--- --- ---

--- HOUSE SCRIPT ---

function array(s,v)
     local a = {}
     for i = 1, s do
          a[i] = v
     end
     return a
end

houseowner = array(32)
houseowner2 = array(32)
houseowner3 = array(32)
houseowner4 = array(32)
houseowner5 = array(32)
houseowner6 = array(32)
houseowner7 = array(32)
houseowner8 = array(32)
houseowner9 = array(32)
houseowner10 = array(32)
houseowner11 = array(32)
houseowner12 = array(32)
houseowner13 = array(32)
houseowner14 = array(32)
houseowner15 = array(32)
houseowner16 = array(32)


function Array(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

house = 0
houseownername = 0
house2 = 0
houseownername2 = 0
house3 = 0
houseownername3 = 0
house4 = 0
houseownername4 = 0
house5 = 0
houseownername5 = 0
house6 = 0
houseownername6 = 0
house7 = 0
houseownername7 = 0
house8 = 0
houseownername8 = 0
house9 = 0
houseownername9 = 0
house10 = 0
houseownername10 = 0
house11 = 0
houseownername11 = 0
house12 = 0
houseownername12 = 0
house13 = 0
houseownername13 = 0
house14 = 0
houseownername14 = 0
house15 = 0
houseownername15 = 0
house16 = 0
houseownername16 = 0

addhook("join","housejoin")
function housejoin(id)
	houseowner[id] = 0 
	houseowner2[id] = 0 
	houseowner3[id] = 0 
	houseowner4[id] = 0
	houseowner5[id] = 0 
	houseowner6[id] = 0
	houseowner7[id] = 0 
	houseowner8[id] = 0
	houseowner9[id] = 0 
	houseowner10[id] = 0
	houseowner11[id] = 0 
	houseowner12[id] = 0
	houseowner13[id] = 0 
	houseowner14[id] = 0
	houseowner15[id] = 0 
	houseowner16[id] = 0
end

addhook("leave","houseleave")
function houseleave(id)
	if houseowner[id] == 1 then
	houseowner[id] = 0
	house = 0
	houseownername = 0
	end
	if houseowner2[id] == 1 then
	houseowner2[id] = 0
	house2 = 0
	houseownername2 = 0	
	end
	if houseowner3[id] == 1 then
	houseowner3[id] = 0
	house3 = 0
	houseownername3 = 0
	end
	if houseowner4[id] == 1 then
	houseowner4[id] = 0
	house4 = 0
	houseownername4 = 0	
	end
	if houseowner5[id] == 1 then
	houseowner5[id] = 0
	house5 = 0
	houseownername5 = 0
	end
	if houseowner6[id] == 1 then
	houseowner6[id] = 0
	house6 = 0
	houseownername6 = 0	
	end
	if houseowner7[id] == 1 then
	houseowner7[id] = 0
	house7 = 0
	houseownername7 = 0
	end
	if houseowner8[id] == 1 then
	houseowner8[id] = 0
	house8 = 0
	houseownername8 = 0	
	end
	if houseowner9[id] == 1 then
	houseowner9[id] = 0
	house9 = 0
	houseownername9 = 0
	end
	if houseowner10[id] == 1 then
	houseowner10[id] = 0
	house10 = 0
	houseownername10 = 0	
	end	
	if houseowner11[id] == 1 then
	houseowner11[id] = 0
	house11 = 0
	houseownername11 = 0	
	end
	if houseowner12[id] == 1 then
	houseowner12[id] = 0
	house12 = 0
	houseownername12 = 0	
	end
	if houseowner13[id] == 1 then
	houseowner13[id] = 0
	house13 = 0
	houseownername13 = 0	
	end
	if houseowner14[id] == 1 then
	houseowner14[id] = 0
	house14 = 0
	houseownername14 = 0	
	end
	if houseowner15[id] == 1 then
	houseowner15[id] = 0
	house15 = 0
	houseownername15 = 0	
	end
	if houseowner16[id] == 1 then
	houseowner16[id] = 0
	house16 = 0
	houseownername16 = 0	
	end	
end
	

addhook("movetile","housemove")
function housemove(id,movetile,a,b)
a = player(id,"tilex")
b = player(id,"tiley")

	if (a==29) and (b==145) and house == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if	(a==29) and (b==145) and house == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername .. '')
	end	
	
	if (a==17) and (b==145) and house2 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==17) and (b==145) and house2 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername2 .. '')
	end

	if (a==8) and (b==140) and house3 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==8) and (b==140) and house3 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername3 .. '')
	end	

	if (a==8) and (b==131) and house4 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==8) and (b==131) and house4 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername4 .. '')
	end	

	if (a==23) and (b==107) and house5 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==23) and (b==107) and house5 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername5 .. '')
	end	

	if (a==33) and (b==106) and house6 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==33) and (b==106) and house6 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername6 .. '')
	end	

	if (a==33) and (b==93) and house7 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==33) and (b==93) and house7 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername7 .. '')
	end	

	if (a==34) and (b==80) and house8 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==34) and (b==80)  and house8 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername8 .. '')
	end	

	if (a==16) and (b==90) and house9 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==16) and (b==90) and house9 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername9 .. '')
	end		
	
	if (a==22) and (b==26) and house10 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==22) and (b==26) and house10 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername10 .. '')
	end	
	
	if (a==45) and (b==241) and house11 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==45) and (b==241) and house11 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername11 .. '')
	end	
	
	if (a==45) and (b==249) and house12 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==45) and (b==249) and house12 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername12 .. '')
	end	
	
	if (a==45) and (b==257) and house13 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==45) and (b==257) and house13 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername13 .. '')
	end	
	
	if (a==51) and (b==241) and house14 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==51) and (b==241) and house14 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername14 .. '')
	end	
	
	if (a==51) and (b==249) and house15 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==51) and (b==249) and house15 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername15 .. '')
	end	
	
	if (a==51) and (b==257) and house16 == 0 then
	msg2(id,"000255000Press e to buy house for 1 gold") 
	end
	if (a==51) and (b==257) and house16 == 1 then
	msg2(id,'000255000This house owned by ' .. houseownername16 .. '')
	end		
	
end
	
addhook("use","houseuse")
function houseuse(id,a,b)
name = 11
name2 = 22
name3 = 33
name4 = 44
name5 = 55
name6 = 66
name7 = 77
name8 = 88
name9 = 99
name10 = 991
name11 = 992
name12 = 993
name13 = 994
name14 = 995
name15 = 996
name16 = 997

a = player(id,"tilex")
b = player(id,"tiley")

	if (a==29) and (b==145) and houseowner[id] == 0 and house == 0  and removeitem(id, 203, 1, true) then
	houseowner[id] = 1 
	house = 1
	houseownername = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==29) and (b==145) and houseowner[id] == 1 then 
		parse("trigger " .. name)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end

	if (a==17) and (b==145) and houseowner2[id] == 0 and house2 == 0 and removeitem(id, 203, 1, true) then
	houseowner2[id] = 1 
	house2 = 1
	houseownername2 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==17) and (b==145) and houseowner2[id] == 1 then 
		parse("trigger " .. name2)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end	

	if (a==8) and (b==140) and houseowner3[id] == 0 and house3 == 0 and removeitem(id, 203, 1, true) then
	houseowner3[id] = 1 
	house3 = 1
	houseownername3 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==8) and (b==140) and houseowner3[id] == 1 then 
		parse("trigger " .. name3)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end

	if (a==8) and (b==131) and houseowner4[id] == 0 and house4 == 0 and removeitem(id, 203, 1, true)  then
	houseowner4[id] = 1 
	house4 = 1
	houseownername4 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game")
	end
	if (a==8) and (b==131) and houseowner4[id] == 1 then 
		parse("trigger " .. name4)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end

	if (a==23) and (b==107) and houseowner5[id] == 0 and house5 == 0 and removeitem(id, 203, 1, true) then
	houseowner5[id] = 1 
	house5 = 1
	houseownername5 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==23) and (b==107) and houseowner5[id] == 1 then 
		parse("trigger " .. name5)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end

	if (a==33) and (b==106) and houseowner6[id] == 0 and house6 == 0 and removeitem(id, 203, 1, true) then
	houseowner6[id] = 1 
	house6 = 1
	houseownername6 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==33) and (b==106) and houseowner6[id] == 1 then 
		parse("trigger " .. name6)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end

	if (a==33) and (b==93) and houseowner7[id] == 0 and house7 == 0 and removeitem(id, 203, 1, true) then
	houseowner7[id] = 1 
	house7 = 1
	houseownername7 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==33) and (b==93) and houseowner7[id] == 1 then 
		parse("trigger " .. name7)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end

	if (a==34) and (b==80) and houseowner8[id] == 0 and house8 == 0 and removeitem(id, 203, 1, true) then
	houseowner8[id] = 1 
	house8 = 1
	houseownername8 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==34) and (b==80) and houseowner8[id] == 1 then 
		parse("trigger " .. name8)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end

	if (a==16) and (b==90) and houseowner9[id] == 0 and house9 == 0 and removeitem(id, 203, 1, true) then
	houseowner9[id] = 1 
	house9 = 1
	houseownername9 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==16) and (b==90) and houseowner9[id] == 1 then 
		parse("trigger " .. name9)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end

	if (a==22) and (b==26) and houseowner10[id] == 0 and house10 == 0 and removeitem(id, 203, 1, true) then
	houseowner10[id] = 1 
	house10 = 1
	houseownername10 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==22) and (b==26) and houseowner10[id] == 1 then 
		parse("trigger " .. name10)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end	

	if (a==45) and (b==241) and houseowner11[id] == 0 and house11 == 0 and removeitem(id, 203, 1, true) then
	houseowner11[id] = 1 
	house11 = 1
	houseownername11 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==45) and (b==241) and houseowner11[id] == 1 then 
		parse("trigger " .. name11)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end	

	if (a==45) and (b==249) and houseowner12[id] == 0 and house12 == 0 and removeitem(id, 203, 1, true) then
	houseowner12[id] = 1 
	house12 = 1
	houseownername12 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==45) and (b==249) and houseowner12[id] == 1 then 
		parse("trigger " .. name12)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end	

	if (a==45) and (b==257) and houseowner13[id] == 0 and house13 == 0 and removeitem(id, 203, 1, true) then
	houseowner13[id] = 1 
	house13 = 1
	houseownername13 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==45) and (b==257) and houseowner13[id] == 1 then 
		parse("trigger " .. name13)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end	

	if (a==51) and (b==241) and houseowner14[id] == 0 and house14 == 0 and removeitem(id, 203, 1, true) then
	houseowner14[id] = 1 
	house14 = 1
	houseownername14 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==51) and (b==241) and houseowner14[id] == 1 then 
		parse("trigger " .. name14)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end	

	if (a==51) and (b==249) and houseowner15[id] == 0 and house15 == 0 and removeitem(id, 203, 1, true) then
	houseowner15[id] = 1 
	house15 = 1
	houseownername15 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==51) and (b==249) and houseowner15[id] == 1 then 
		parse("trigger " .. name15)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end	

	if (a==51) and (b==257) and houseowner16[id] == 0 and house16 == 0 and removeitem(id, 203, 1, true) then
	houseowner16[id] = 1 
	house16 = 1
	houseownername16 = player(id, "name")
	msg2(id,"000255000You bought the house, your house will be gone after you left the game") 
	end
	if (a==51) and (b==257) and houseowner16[id] == 1 then 
		parse("trigger " .. name16)
		radiussound("minecraft2/used/door.ogg", x*32, y*32)
	end		

end	

	
--- --- ---







--- --- ---	

--- SPECIAL DOOR SCRIPT ---

function array(s,v)
     local a = {}
     for i = 1, s do
          a[i] = v
     end
     return a
end

playerdoorx = array(32)
playerdoory = array(32)
playerdoorttt = array(32)

	
addhook("say","sdoorsay")
function sdoorsay(id,txt)
	if (txt=="!setdoor") and (sample.tm.house1[id]==1) and (player(id,"tilex")>=30) and (player(id,"tiley")>=142) and (player(id,"tilex")<=37) and (player(id,"tiley")<=149) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1
	end		
	if (txt=="!setdoor") and (sample.tm.house2[id]==1) and (player(id,"tilex")>=10) and (player(id,"tiley")>=144) and (player(id,"tilex")<=16) and (player(id,"tiley")<=150) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house3[id]==1) and (player(id,"tilex")>=1) and (player(id,"tiley")>=138) and (player(id,"tilex")<=7) and (player(id,"tiley")<=144) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house4[id]==1) and (player(id,"tilex")>=1) and (player(id,"tiley")>=128) and (player(id,"tilex")<=7) and (player(id,"tiley")<=134) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house5[id]==1) and (player(id,"tilex")>=20) and (player(id,"tiley")>=108) and (player(id,"tilex")<=26) and (player(id,"tiley")<=114) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house6[id]==1) and (player(id,"tilex")>=34) and (player(id,"tiley")>=103) and (player(id,"tilex")<=41) and (player(id,"tiley")<=110) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house7[id]==1) and (player(id,"tilex")>=8) and (player(id,"tiley")>=87) and (player(id,"tilex")<=15) and (player(id,"tiley")<=93) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house8[id]==1) and (player(id,"tilex")>=34) and (player(id,"tiley")>=90) and (player(id,"tilex")<=41) and (player(id,"tiley")<=97) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house9[id]==1) and (player(id,"tilex")>=35) and (player(id,"tiley")>=77) and (player(id,"tilex")<=42) and (player(id,"tiley")<=84) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house10[id]==1) and (player(id,"tilex")>=19) and (player(id,"tiley")>=19) and (player(id,"tilex")<=25) and (player(id,"tiley")<=25) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house11[id]==1) and (player(id,"tilex")>=107) and (player(id,"tiley")>=33) and (player(id,"tilex")<=126) and (player(id,"tiley")<=216) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house12[id]==1) and (player(id,"tilex")>=32) and (player(id,"tiley")>=238) and (player(id,"tilex")<=44) and (player(id,"tiley")<=244) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end	
	if (txt=="!setdoor") and (sample.tm.house13[id]==1) and (player(id,"tilex")>=32) and (player(id,"tiley")>=246) and (player(id,"tilex")<=44) and (player(id,"tiley")<=252) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end
	if (txt=="!setdoor") and (sample.tm.house14[id]==1) and (player(id,"tilex")>=37) and (player(id,"tiley")>=254) and (player(id,"tilex")<=44) and (player(id,"tiley")<=260) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end	
	if (txt=="!setdoor") and (sample.tm.house15[id]==1) and (player(id,"tilex")>=52) and (player(id,"tiley")>=238) and (player(id,"tilex")<=64) and (player(id,"tiley")<=244) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end	
	if (txt=="!setdoor") and (sample.tm.house16[id]==1) and (player(id,"tilex")>=52) and (player(id,"tiley")>=246) and (player(id,"tilex")<=64) and (player(id,"tiley")<=252) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end	
	if (txt=="!setdoor") and (sample.tm.house17[id]==1) and (player(id,"tilex")>=52) and (player(id,"tiley")>=254) and (player(id,"tilex")<=64) and (player(id,"tiley")<=260) then
	playerdoorx[id] = player(id,"tilex")
	playerdoory[id] = player(id,"tiley")
		parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1			
	end		
end	




addhook("say","sdoorsay3")
function sdoorsay3(id,txt)
	if (txt=="!close") and (playerdoorttt[id] == 1) then
	parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 6')
			playerdoorttt[id] = 0
end
	if (txt=="!open") and (playerdoorttt[id] == 0) then
	parse('settile '..playerdoorx[id]..' '..playerdoory[id]..' 4')
			playerdoorttt[id] = 1
end
end

--- --- ---

--- HUNGRY SCRIPT ---

function Array(size,value) 
	local array = {}
	for i = 1, size do
		array[i]=value
	end
	return array
end

hunger_pl 	  = Array(32,0)

addhook("join","hungerjoin")
function hungerjoin(id)
hunger_pl[id] = 10
end

addhook("minute","hungertime")
function hungertime(id)
for id = 1,32 do
if player(id,"score") > 5 then
hunger_pl[id] = hunger_pl[id] - 1
end
end			
end

addhook("second","hungerhud")
function hungerhud(id)
for id = 1,32 do
               parse('hudtxt2 '..id..' 48 "255255255Hunger: '..hunger_pl[id]..' " 545 450')
if hunger_pl[id] > 11 then
hunger_pl[id] = 10
end
if hunger_pl[id] < 1 then  
		parse("sethealth "..id.." 1")
		hunger_pl[id] = 0
		msg2(id,"255000000YOU ARE HUNGRY!@C")
end
end
end

--- --- ---

--- KING SCRIPT ---

function Array(size,value) 
	local array = {}
	for i = 1, size do
		array[i]=value
	end
	return array
end

king 	  = Array(32,0)

addhook("join","kingjoin")
function kingjoin(id)
king[id] = 0
end


addhook("spawn","kingdetect")
function kingdetect(id)
			if removeitem(id, 359, 1, true) then
if additem(id, 359, 1, true) then
king[id] = 1 
end
end
end


addhook("use","kinguse")
function kinguse(id,use,x,y)
x = player(id,"tilex")
y = player(id,"tiley")
if (x==77) and (y==90) and king[id] == 1 then
		parse("trigger king_a")
elseif (x==77) and (y==90) and king[id] == 0 then
 	menu(id,"Kingdom,Become King !|100 diamond")
elseif (x==81) and (y==90) and king[id] == 1 then
		parse("trigger king_a") 
elseif (x==102) and (y==91) and king[id] == 1 then
		parse("trigger king_b") 
elseif (x==104) and (y==91) and king[id] == 1 then
		parse("trigger king_b") 		
end
end
		
addhook("menu","kingmenu")
function kingmenu(id,baslik,buton)
if baslik=="Kingdom" then
if buton==1 then
	if removeitem(id, 204, 100, true) then
	king[id] = 1 
	additem(id, 359, 1)
		additem(id, 360, 1)
			additem(id, 361, 1)
				additem(id, 362, 1)
					additem(id, 363, 1)
					msg2(id,"000255000You become King !@C") 
					msg2(id,"000255000Wear your king suit@C") 
end
end
end
end

--- SHOP SCRIPT ---

function Array(size,value) 
	local array = {}
	for i = 1, size do
		array[i]=value
	end
	return array
end

shoper 	  = Array(32,0)

function Array(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

shop = 0

addhook("join","shopjoin")
function shopjoin(id)	
shoper[id] = 0
end

addhook("leave","shopleave")
function shopleave(id)
if shoper[id] == 1 then
shop = 0
end
end
	
addhook("use","shopuse")
function shopuse(id,use,x,y)
x = player(id,"tilex")
y = player(id,"tiley")
if (x==25) and (y==131) and shoper[id] == 1 then
		parse("trigger shop_a4")
end
if (x==25) and (y==131) and shop == 0 then	
 	menu(id,"shop menu buy,buy shop|5 gold")

end
end



addhook("menu","shopmenuuu")
function shopmenuuu(id,baslik,buton)
if baslik=="shop menu buy" then
if buton==1 then
	if removeitem(id, 203, 5, true) then
shoper[id] = 1 
shop = 1
end
end
end
end


--- --- ---


--- TUTORIAL SCRIPT ---

function Array(size,value) 
	local array = {}
	for i = 1, size do
		array[i]=value
	end
	return array
end

tutorialp 	  = Array(32,0)	
tutorialm1 	  = Array(32,0)		
luatutorialimage1 	  = Array(32,0)
luatutorialimage2 	  = Array(32,0)
luatutorialimage3 	  = Array(32,0)
luatutorialimage4 	  = Array(32,0)
luatutorialimage5 	  = Array(32,0)


addhook("join","tutorialjoin")
function tutorialjoin(id)
tutorialm1[id] = 0
tutorialp[id] = 0
end

 		
addhook("spawn","tutorialspawn")
function tutorialspawn(id)
tutorialm1[id] = 1
end
		


addhook("second","tutorialsecond")
function tutorialsecond(id)
for id = 1,32 do
if tutorialm1[id] == 1 and player(id,"score") < 2 and tutorialp[id] == 0  then
               parse('hudtxt2 '..id..' 8 "255000000TUTORIAL - 1 " 230 80')
			   parse('hudtxt2 '..id..' 9 "255255255GO NEAR OF A TREE AND START TO HIT IT " 150 105')
               parse('hudtxt2 '..id..' 10 "255255255IT WILL GIVE YOU WOOD " 150 120')
               parse('hudtxt2 '..id..' 11 "255000000SAY T TELEPORT TO TREE " 150 150')
               parse('hudtxt2 '..id..' 12 "255000000PRESS E TO SKIP " 150 180')
tutorialm1[id] = 990
tutorialp[id] = 1
end
if tutorialm1[id] == 2 then
               parse('hudtxt2 '..id..' 8 "255000000TUTORIAL - 2 " 230 80')
			   parse('hudtxt2 '..id..' 9 "255255255GO TO CRAFTING TABLE AND MAKE ITEMS WITH YOUR WOODS " 150 105')
               parse('hudtxt2 '..id..' 10 "255255255" 150 120')
               parse('hudtxt2 '..id..' 11 "255000000SAY T TELEPORT TO TABLE " 150 150')
               parse('hudtxt2 '..id..' 12 "255000000PRESS E TO SKIP " 150 180')
tutorialm1[id] = 991
end
if tutorialm1[id] == 3 then
               parse('hudtxt2 '..id..' 8 "255000000TUTORIAL - 3 " 230 80')
			   parse('hudtxt2 '..id..' 9 "255255255PRESS F2 TO SEE YOUR INVENTORY, SELECT AN ITEM AND EQUIP IT" 150 105')
               parse('hudtxt2 '..id..' 10 "255255255PRESS F3 TO SEE YOUR EQUIPED ITEMS " 150 120')
               parse('hudtxt2 '..id..' 11 "255000000" 150 150')
               parse('hudtxt2 '..id..' 12 "255000000PRESS E TO SKIP " 150 180')
tutorialm1[id] = 992
end
if tutorialm1[id] == 4 then
               parse('hudtxt2 '..id..' 8 "255000000TUTORIAL - 4 " 230 80')
			   parse('hudtxt2 '..id..' 9 "255255255GO TO MINE AND BREAK WALLS,THEY WILL GIVE YOU RANDOMLY ITEMS " 150 105')
               parse('hudtxt2 '..id..' 10 "255255255YOU CAN EARN IRON,GOLD,DIAMOND" 150 120')
               parse('hudtxt2 '..id..' 11 "255000000SAY T TELEPORT TO MINE " 150 150')
               parse('hudtxt2 '..id..' 12 "255000000PRESS E TO SKIP " 150 180')
               parse('hudtxt2 '..id..' 13 "255255255WARNING! IF THERE IS NO WALLS TO BREAK, THEN WAIT, WALLS LL REFRESH WITH TIME" 50 200')			   
tutorialm1[id] = 993
end
if tutorialm1[id] == 5 then
               parse('hudtxt2 '..id..' 8 "255000000TUTORIAL - 5 " 230 80')
			   parse('hudtxt2 '..id..' 9 "255255255BUY HOUSE ! YOU NEED 1 GOLD TO DO IT, GO INFRONT OF HOUSE DOOR" 150 105')
               parse('hudtxt2 '..id..' 10 "255255255PRESS E AND BUY IT, NOW YOU CAN CHANGE TILES WITH F4" 150 120')
               parse('hudtxt2 '..id..' 11 "255000000" 150 150')
               parse('hudtxt2 '..id..' 12 "255000000PRESS E TO SKIP " 150 180')
               parse('hudtxt2 '..id..' 13 "255255255" 150 200')			   
tutorialm1[id] = 994
end
if tutorialm1[id] == 6 or tutorialm1[id] == 0 then
               parse('hudtxt2 '..id..' 8 "255255255" 200 100')
			   parse('hudtxt2 '..id..' 9 "255255255" 200 115')
               parse('hudtxt2 '..id..' 10 "255255255" 200 130')
               parse('hudtxt2 '..id..' 11 "255255255" 200 150')
               parse('hudtxt2 '..id..' 12 "255255255" 200 170')
end
end
end


addhook("use","tutorialuse")
function tutorialuse(id)
if tutorialm1[id] == 990 then
freeimage(luatutorialimage1[id]) 
tutorialm1[id] = 2
end
if tutorialm1[id] == 991 then
freeimage(luatutorialimage2[id]) 
tutorialm1[id] = 3
end
if tutorialm1[id] == 992 then
freeimage(luatutorialimage3[id]) 
tutorialm1[id] = 4
end
if tutorialm1[id] == 993 then
freeimage(luatutorialimage3[id]) 
tutorialm1[id] = 5
end
if tutorialm1[id] == 994 then
freeimage(luatutorialimage3[id]) 
tutorialm1[id] = 6
tutorialp[id] = 2
end
end


addhook("say","tutorialsay")
function tutorialsay(id,txt)
	if (txt=="t") and tutorialm1[id] == 990 then
				parse("setpos "..id.." 876 4303")
end			
	if (txt=="t") and tutorialm1[id] == 991 then
				parse("setpos "..id.." 1072 4460")				
end
	if (txt=="t") and tutorialm1[id] == 993 then
				parse("setpos "..id.." 435 9395")	
end
	if (txt=="T") and tutorialm1[id] == 990 then
				parse("setpos "..id.." 876 4303")
end			
	if (txt=="T") and tutorialm1[id] == 991 then
				parse("setpos "..id.." 1072 4460")				
end
	if (txt=="T") and tutorialm1[id] == 993 then
				parse("setpos "..id.." 435 9395")	
end
end


--- --- ---














