Monster = {name = 'Monster', health = 100, image = 'gfx/weiwen/circle.png', scalex = 1, scaley = 1, atk = 1, def = 1, spd = 5, x = 0, y = 0, ang = 0, imgang = 0, exp = 5, money = 50, type = 'monster', loot = {}}
MONSTERS = {}
local t = 0

local SPAWNS = {
	FULLMAP = {{0, 33}, {99, 165}},
	BOTTOMHALF = {{0, 100}, {150, 150}},
	NETHER = {{30, 172}, {99, 219}},
	SNOWLAND = {{0, 228}, {100, 280}},
	PIG = {{89, 302}, {120, 340}},
	JUNGLE = {{0, 312}, {129, 369}},
}

CONFIG.MONSTERS = {
	{
		name = 'Zombie', health = 100, image = 'gfx/minecraft2/lua/zombie.png', scalex = 0.3, scaley = 0.3,
		atk = 5.0, def = 2.1, spd = 5, atkspd = 8, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 
		spawnchance = {['rpg_minecraft.x'] = {100}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 5, money = 100, loot = {{chance = 1000, id = 200}}, 
		spc = {1500, function(self)
			radiussound("minecraft2/used/zombie.ogg", self.x, self.y)		
			parse("effect \"colorsmoke\" " .. self.x .. " " .. self.y .. " 5 5 255 255 255")
		end}, 
	}, 
	{
		name = 'Wolf', health = 100, image = 'gfx/minecraft2/lua/wolf_wild.png', scalex = 0.2, scaley = 0.2, 
		atk = 1.0, def = 0.8, spd = 8, atkspd = 8, x = 0, y = 0, ang = 0, imgang = 0, runat = 10,  
		spawnchance = {['rpg_minecraft.x'] = {50}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 2, money = 100, loot = {{chance = 500, id = 200}}, 
		spc = {1500, function(self) 
		radiussound("minecraft2/used/wolf.ogg", self.x, self.y)
			parse("effect \"colorsmoke\" " .. self.x .. " " .. self.y .. " 5 5 255 255 255")
		end},
	}, 
	{
		name = 'Ocelot', health = 100, image = 'gfx/minecraft2/lua/ocelot.png', scalex = 0.3, scaley = 0.3, 
		atk = 10.0, def = 1.0, spd = 17, atkspd = 8, x = 0, y = 0, ang = 0, imgang = 0, runat = 10,  
		spawnchance = {['rpg_minecraft.x'] = {5}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 200, money = 100, loot = {}, 
		spc = {5000, function(self) 
		radiussound("minecraft2/used/ocelot.ogg", self.x, self.y)
		end},
	}, 
	{	
		name = 'Creeper', health = 100, image = 'gfx/minecraft2/lua/creeper.png', scalex = 0.3, scaley = 0.3, 
		atk = 1.5, def = 2.3, spd = 6, atkspd = 8, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 
		spawnchance = {['rpg_minecraft.x'] = {50}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 5, money = 100, loot = {{chance = 1000, id = 13}}, 
		spc = {5000, function(self) 
			if self.health < 110 then
				parse('explosion ' .. self.x .. ' ' .. self.y .. ' 228 580')
				parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 100 128 255 255 255')
				parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 100 128 255 255 255')
				self:destroy()
			end
		end},
	}, 
	{
		name = 'Magma Cube', health = 100, image = 'gfx/minecraft2/lua/magma cube.png', scalex = 0.2, scaley = 0.2, 
		atk = 30.0, def = 10.2, spd = 12, atkspd = 10, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		spawnchance = {['rpg_minecraft.x'] = {2}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.NETHER}
		}, 
		exp = 100, money = 30, loot = {{chance = 200, id = 331}}, 
	}, 
	{
		name = 'Wither Skeleton', health = 100, image = 'gfx/minecraft2/lua/witherskeleton.png', scalex = 0.4, scaley = 0.4, 
		atk = 20.2, def = 5.1, spd = 10, atkspd = 20, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		spawnchance = {['rpg_minecraft.x'] = {8}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 50, money = 30, loot = {}, 
	}, 
	{
		name = 'Sheep', health = 100, image = 'gfx/minecraft2/lua/sheep.png', scalex = 0.3, scaley = 0.3, 
		atk = 0.0, def = 1.0, spd = 5, atkspd = 100, x = 0, y = 0, ang = 0, imgang = 0, runat = 100, 
		spawnchance = {['rpg_minecraft.x'] = {50}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 1, money = 50, loot = {{chance = 4000, id = 4},{chance = 5000, id = 200}}, 
	}, 
	{
		name = 'chicken', health = 100, image = 'gfx/minecraft2/lua/chicken.png', scalex = 0.2, scaley = 0.2, 
		atk = 0.0, def = 0.5, spd = 5, atkspd = 100, x = 0, y = 0, ang = 0, imgang = 0, runat = 100, 
		spawnchance = {['rpg_minecraft.x'] = {50}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 1, money = 50, loot = {{chance = 5000, id = 14}}, 
	},	
	{
		name = 'cow', health = 100, image = 'gfx/minecraft2/lua/cow.png', scalex = 0.3, scaley = 0.3, 
		atk = 0.0, def = 1.5, spd = 5, atkspd = 100, x = 0, y = 0, ang = 0, imgang = 0, runat = 100, 
		spawnchance = {['rpg_minecraft.x'] = {50}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 1, money = 50, loot = {{chance = 4000, id = 15},{chance = 4000, id = 12},{chance = 4000, id = 200}}, 
	},	
	{
		name = 'Snow Golem', health = 100, image = 'gfx/minecraft2/lua/snow_golem.png', scalex = 0.5, scaley = 0.5, 
		atk = 1.2, def = 5.2, spd = 1, atkspd = 17, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		spawnchance = {['rpg_minecraft.x'] = {20}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.SNOWLAND}
		}, 
		exp = 23, money = 60, loot = {}, 
		spc = {500, function(self) 
			radiusmsg("Snow Golem uses snow attack!", self.x, self.y)
			parse('flashposition ' .. self.x .. ' ' .. self.y .. ' 100')
		end},
	}, 
	{
		name = 'Pig', health = 100, image = 'gfx/minecraft2/lua/pig.png', scalex = 0.3, scaley = 0.3, 
		atk = 0.0, def = 1.0, spd = 4, atkspd = 100, x = 0, y = 0, ang = 0, imgang = 0, runat = 100, 
		spawnchance = {['rpg_minecraft.x'] = {30}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.PIG}
		}, 
		exp = 1, money = 50, loot = {{chance = 8000, id = 23}}, 
	}, 
	{
		name = 'Spearow', health = 100, image = 'gfx/minecraft2/lua/cave_spidereeee.png', scalex = 1, scaley = 1, 
		atk = 1.4, def = 1.0, spd = 10, atkspd = 7, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 13, money =60, loot = {}, 
		spc = {2500, function(self, id, dist) 
			if not self.agility then
				radiusmsg("Spearow uses agility!", self.x, self.y)
				parse("effect \"colorsmoke\" " .. self.x .. " " .. self.y .. " 5 5 155 255 155")
				radiussound("weapons/g_flash.wav", self.x, self.y)
				self._spd = self.spd
				self.spd = 10
				self.agility = true
				imagecolor(self.image, 155, 255, 155)
				timer(5000, "CONFIG.MONSTERSKILLS.endAgility", self.id)
			elseif dist <= 32 then
				self:hit(id, 10)
			end
		end},
	}, 
	{
		name = 'Wither', health = 100, image = 'gfx/minecraft2/lua/wither.png', scalex = 0.3, scaley = 0.3, 
		atk = 6.0, def = 8.2, spd = 16, atkspd = 3, x = 0, y = 0, ang = 0, imgang = 0, runat = 1, 
		spawnchance = {['rpg_minecraft.x'] = {10}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.JUNGLE}
		}, 
		exp = 10, money = 80, loot = {{chance = 5000, id = 31}}, 
		spc = {1000, function(self) 
				radiussound("minecraft2/used/wither.ogg", self.x, self.y)
		end},
	}, 
	{
		name = 'Pikachu', health = 100, image = 'gfx/weiwen/pokemon/25.png', scalex = 2, scaley = 2, 
		atk = 2.1, def = 2.1, spd = 7, atkspd = 7, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.BOTTOMHALF}
		}, 
		exp = 25, money = 120, loot = {{chance = 5000, id = 103}, {chance = 250, id = 220}}, 
		spc = {500, function(self) 
			radiusmsg("Pikachu uses thundershock!", self.x, self.y)
			parse('explosion ' .. self.x .. ' ' .. self.y .. ' 96 40')
			parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 100 96 255 255 0')
			parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 75 64 255 255 255')
		end},
	}, 
	{
		name = 'Sandshrew', health = 100, image = 'gfx/weiwen/pokemon/27.png', scalex = 2, scaley = 2, 
		atk = 1.7, def = 2.1, spd = 7, atkspd = 7, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.BOTTOMHALF, SPAWNS.ONIXCAVE}
		}, 
		exp = 18, money = 120, loot = {}, 
		spc = {1000, function(self) 
			radiusmsg("Sandshrew uses sand attack!", self.x, self.y)
			parse('flashposition ' .. self.x .. ' ' .. self.y .. ' 100')
		end},
	},
	{
		name = 'NidoranF', health = 100, image = 'gfx/weiwen/pokemon/29.png', scalex = 2, scaley = 2, 
		atk = 1.8, def = 1.2, spd = 7, atkspd = 8, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 10, money = 80, loot = {}, 
		spc = {750, function(self, id, dist) 
			if dist <= 96 then
				radiusmsg("NidoranF uses poison sting!", self.x, self.y)
				self:hit(id, 20)
			end
		end},
	}, 
	{
		name = 'NidoranM', health = 100, image = 'gfx/weiwen/pokemon/32.png', scalex = 2, scaley = 2, 
		atk = 1.8, def = 1.2, spd = 7, atkspd = 8, x = 0, y = 0, ang = 0, imgang = 0, runat = 10, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 10, money = 80, loot = {}, 
		spc = {750, function(self, id, dist) 
			if dist <= 96 then
				radiusmsg("NidoranM uses horn attack!", self.x, self.y)
				self:hit(id, 20)
			end
		end},
	}, 
	{
		name = 'Vulpix', health = 100, image = 'gfx/weiwen/pokemon/37.png', scalex = 2, scaley = 2, 
		atk = 2.2, def = 1.8, spd = 7, atkspd = 8, x = 0, y = 0, ang = 0, imgang = 0, runat = 0, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		},  
		exp = 10, money = 100, loot = {{chance = 5000, id = 104}}, 
		spc = {500, function(self, id, dist) 
			radiusmsg("Vulpix uses flamethrower!", self.x, self.y)
			local x1, y1 = self.x, self.y
			local rot = math.atan2(player(id, 'y')-y1, player(id, 'x')-x1) + math.pi/2
			local x2, y2 = math.sin(rot), -math.cos(rot)
			local fire = image("gfx/sprites/spot.bmp", 0, 0, 1)
			imagepos(fire, x1+x2*64, y1+y2*64, math.deg(rot)+180)
			imagescale(fire, 1.5, 2)
			imagecolor(fire, 255, 64, 0)
			imageblend(fire, 1)
			timer(500, "freeimage", fire)
			parse('explosion ' .. x1+x2*100 .. ' ' .. y1+y2*100 .. ' 48 40')
			parse('explosion ' .. x1+x2*50 .. ' ' .. y1+y2*50 .. ' 32 40')
		end},
	}, 
	{
		name = 'Meowth', health = 100, image = 'gfx/weiwen/pokemon/52.png', scalex = 2, scaley = 2, 
		atk = 2.2, def = 2.2, spd = 10, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 0, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 25, money = 100, loot = {{chance = 1000, id = 230}},
	}, 
	{
		name = 'Mankey', health = 100, image = 'gfx/weiwen/pokemon/56.png', scalex = 2, scaley = 2, 
		atk = 2.5, def = 1.8, spd = 10, atkspd = 6, x = 0, y = 0, ang = 0, imgang = 0, runat = 0, range = 48, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.BOTTOMHALF}
		}, 
		exp = 25, money = 120, loot = {{chance = 1000, id = 300},{chance = 1000, id = 301},{chance = 1000, id = 302},{chance = 1000, id = 303},{chance = 1000, id = 304},{chance = 1000, id = 305},{chance = 1000, id = 306}}, 
		spc = {1000, function(self, id, dist) 
			if not self.rage then
				radiusmsg("Mankey uses rage!", self.x, self.y)
				parse("effect \"colorsmoke\" " .. self.x .. " " .. self.y .. " 5 5 255 155 155")
				radiussound("weapons/g_flash.wav", self.x, self.y)
				self._atk = self.atk
				self.atk = 3.3
				self.rage = true
				imagecolor(self.image, 255, 155, 155)
				timer(5000, "CONFIG.MONSTERSKILLS.endRage", self.id)
			elseif dist <= 96 then
				radiusmsg("Mankey uses karate chop!", self.x, self.y)
				self:hit(id, 20)
			end
		end},
	}, 
	{
		name = 'Enderman', health = 100, image = 'gfx/minecraft2/lua/enderman.png', scalex = 0.4, scaley = 0.4, 
		atk = 5.6, def = 14.0, spd = 5, atkspd = 10, x = 0, y = 0, ang = 0, imgang = 0, runat = 50, 
		spawnchance = {['rpg_minecraft.x'] = {5}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 108, money = 50, loot = {}, 
		spc = {2500, function(self) 
			radiusmsg("Enderman uses teleport!", self.x, self.y)
			parse("effect \"colorsmoke\" " .. self.x .. " " .. self.y .. " 5 5 255 255 255")
			local dir = math.random(math.pi*2)
			if self:move(dir, 40) or self:move(dir, -40) then
				parse("effect \"colorsmoke\" " .. self.x .. " " .. self.y .. " 5 5 255 255 255")
			end
		end},
	},
		
	{
		name = 'Zombie Pigman', health = 100, image = 'gfx/minecraft2/lua/zombiepigman.png', scalex = 0.3, scaley = 0.3, 
		atk = 2.2, def = 13.5, spd = 8, atkspd = 10, x = 0, y = 0, ang = 0, imgang = 0, runat = 50, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 8, money = 100, loot = {}, 
		spc = {9000, function(self, id, dist)
			if dist <= 164 and not PLAYERS[id].tmp.paralyse then
				radiusmsg("Pigman uses lick!", self.x, self.y)
				PLAYERS[id].tmp.paralyse = true
				msg2(id, "You are paralysed.")
				parse("effect \"colorsmoke\" " .. player(id, 'x') .. " " .. player(id, 'y') .. " 5 5 64 0 64")
				timer(3000, "rem.paralyse", id)
			elseif dist <= 32 then
				self:hit(id, 10)
			end
		end},
	}, 
	{
		name = 'Spider', health = 125, image = 'gfx/minecraft2/lua/cave_spider.png', scalex = 0.5, scaley = 0.5, r = 144, g = 144, b = 144, 
		atk = 5.0, def = 3.0, spd = 6, atkspd = 10, x = 0, y = 0, ang = 0, imgang = 0, runat = 0, range = 64, 
		spawnchance = {['rpg_minecraft.x'] = {20}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 50, money = 300, loot = {{chance = 100, id = 200},{chance = 500, id = 16}}, 
		spc = {1000, function(self) 
			if not self.harden then
				parse("effect \"colorsmoke\" " .. self.x .. " " .. self.y .. " 5 5 192 192 192")
				radiussound("minecraft2/used/spider.ogg", self.x, self.y)
				self._def = self.def
				self.def = 7.5
				self.harden = true
				imagecolor(self.image, 155, 155, 255)
				timer(5000, "CONFIG.MONSTERSKILLS.endHarden", self.id)
			end
		end},
	}, 
	{
		name = 'Voltorb', health = 100, image = 'gfx/weiwen/pokemon/100.png', scalex = 2, scaley = 2, r = 144, g = 144, b = 144, 
		atk = 2.3, def = 2.3, spd = 5, atkspd = 8, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, range = 48, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.FULLMAP}
		}, 
		exp = 30, money = 130, loot = {{chance = 5000, id = 103}}, 
		spc = {1000, function(self) 
			if self.health < 110 then
				radiusmsg("Voltorb uses selfdestruct!", self.x, self.y)
				parse('explosion ' .. self.x .. ' ' .. self.y .. ' 128 80')
				parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 100 128 255 128 0')
				parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 100 128 255 255 0')
				self:destroy()
			end
		end},
	}, 
	{
		name = 'Koffing', health = 100, image = 'gfx/weiwen/pokemon/109.png', scalex = 2, scaley = 2, r = 128, g = 128, b = 0, 
		atk = 2.0, def = 1.7, spd = 4, atkspd = 10, x = 0, y = 0, ang = 0, imgang = 0, runat = 20, range = 48, 
		spawnchance = {['rpg_minecraft.x'] = {0}}, 
		spawn = {
			['rpg_minecraft.x'] = {SPAWNS.BOTTOMHALF}
		}, 
		exp = 30, money = 150, loot = {{chance = 5000, id = 106}}, 
		spc = {1000, function(self) 
			if self.health < 20 then
				radiusmsg("Koffing uses explosion!", self.x, self.y)
				parse('explosion ' .. self.x .. ' ' .. self.y .. ' 128 40')
				parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 100 128 255 128 0')
				parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 100 128 255 255 0')
				self:destroy()
			else
				radiusmsg("Koffing uses poison fog!", self.x, self.y)
				parse('explosion ' .. self.x .. ' ' .. self.y .. ' 96 40')
				parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 100 96 128 128 0')
			end
		end},
	}, 
}

CONFIG.MONSTERSKILLS = {
	endAgility = function(id)
		self = MONSTERS[tonumber(id)]
		self.spd = self._spd
		self._spd = nil
		imagecolor(self.image, 255, 255, 255)
		self.agility = nil
	end,
	endRage = function(id)
		self = MONSTERS[tonumber(id)]
		self.atk = self._atk
		self._atk = nil
		imagecolor(self.image, 255, 255, 255)
		self.rage = nil
	end,
	endHarden = function(id)
		self = MONSTERS[tonumber(id)]
		self.def = self._def
		self._def = nil
		imagecolor(self.image, 255, 255, 255)
		self.harden = nil
	end,
}

addhook("attack", "MONSTERattack")
function MONSTERattack(id)
	if gettile(PLAYERS[id].x, PLAYERS[id].y).SAFE or gettile(PLAYERS[id].x, PLAYERS[id].y).NOMONSTERS then
		return
	end
	if inarray({400, 401, 402, 403, 404}, PLAYERS[id].Equipment[7]) then
		message(id, "You may not attack on a horse.")
		return
	end
	local weapon, closest = player(id, 'weapontype')
	for _, m in ipairs(MONSTERS) do
		local x, y = player(id, 'x'), player(id, 'y')
		local dist = math.sqrt((m.x-x)^2+(m.y-y)^2)
		if dist <= (closest and closest[2] or (CONFIG.WEAPONRANGE[weapon] or CONFIG.WEAPONRANGE[50])) then
			local rot = player(id, 'rot')
			if math.abs(math.rad(rot) - math.atan2(y-m.y, x-m.x) + math.pi/2)%(2*math.pi) <= (CONFIG.WEAPONWIDTH[weapon] or CONFIG.WEAPONRANGE[50]) then
				closest = {m, dist}
			end
		end
	end
	if closest then
		closest[1]:damage(id, math.ceil(20*((PLAYERS[id].Level+50)*PLAYERS[id].tmp.atk/closest[1].def)/math.random(60, 140)), weapon)
	end
end

addhook("ms100", "MONSTERms100")
function MONSTERms100()
	t = t + 1
	if t % 100 == 0 then
		while #MONSTERS < CONFIG.MAXMONSTERS do
			local rand, spawnNo, mapName
			while true do 
				rand = math.random(#CONFIG.MONSTERS)
				mapName = CONFIG.MONSTERS[rand].spawn[map'name'] and map'name' or CONFIG.DEFAULTMAP
				spawnNo = math.random(#CONFIG.MONSTERS[rand].spawn[mapName])
				if math.random(0, 100) < CONFIG.MONSTERS[rand].spawnchance[mapName][spawnNo] then
					break
				end
			end 
			local m = deepcopy(CONFIG.MONSTERS[rand])
			local x, y, tilex, tiley
			local spawn = m.spawn[mapName][spawnNo]
			repeat
				tilex, tiley = math.random(spawn[1][1], spawn[2][1]), math.random(spawn[1][2], spawn[2][2])
			until not gettile(tilex, tiley).SAFE and 
				  not gettile(tilex, tiley).NOMONSTERS and 
				  tile(tilex, tiley, "walkable") and 
				  tile(tilex, tiley, "frame") ~= 63
			m.x, m.y = math.floor(tilex*32+16), math.floor(tiley*32+16)
			Monster:new(m)
		end
	end
	for _, m in ipairs(MONSTERS) do
		if t % m.atkspd == 0 then
			m.target = nil
			local closest
			for _, p in ipairs(table.shuffle(player(0, 'table'))) do
				if player(p, 'health') > 0 and 
					not gettile(PLAYERS[p].x, PLAYERS[p].y).SAFE and 
					not gettile(PLAYERS[p].x, PLAYERS[p].y).NOMONSTERS then
					local dist = math.sqrt((player(p, 'x')-m.x)^2 + (player(p, 'y')-m.y)^2)
					if dist < 400 then
						if not closest or dist < closest[2] then
							closest = {p, dist}
						end
					end
				end
			end
			if closest then
				local dist = closest[2]
				if dist < 400 then
					m.target = closest[1]
					if m.spc and math.random(10000) <= m.spc[1] then
						m.spc[2](m, m.target, dist)
					elseif dist <= (m.range or 32) then
						m:hit(m.target, 10)
					end
				end
			end
		end
		m.imgang = math.sin(t/2.5*math.pi) * 15
		if m.target and player(m.target, 'exists') and player(m.target, 'health') > 0 and 
			not gettile(PLAYERS[m.target].x, PLAYERS[m.target].y).SAFE and 
			not gettile(PLAYERS[m.target].x, PLAYERS[m.target].y).NOMONSTERS then
			xdist, ydist = player(m.target, 'x') - m.x, player(m.target, 'y') - m.y
			local dist = math.sqrt(xdist^2 + ydist^2)
			if dist < 400 then
				m.ang = math.atan2(ydist, xdist)-math.pi/2+math.random(-1, 1)/2
			else
				m.target = nil
			end
		end
		if not m.target then
			m:rot(math.random(-1, 1)/2)
		end
		if not m:move(m:rot(), m.health > m.runat and 1 or -1) then
			repeat until m:move(math.rad(math.random(360)), 1)
		end
	end
end

function Monster:new(m)
	if not (m.x or m.y) then return false end
	m.image = image(m.image, m.x, m.y, 0)
	imagescale(m.image, m.scalex, m.scaley)
	setmetatable(m, self)
	self.__index = self
	local n = #MONSTERS+1
	MONSTERS[#MONSTERS+1] = m
	m.id = n
	return m
end

function Monster:pos(x, y)
	if not x and not y then
		return self.x, self.y
	else
		self.x, self.y = x or self.x, y or self.y
		imagepos(self.image, self.x, self.y, self.imgang)
	end
	return true
end

function Monster:move(dir, amt)
	local x, y = -math.sin(dir)*amt*self.spd, math.cos(dir)*amt*self.spd
	local x, y = self.x+x, self.y+y
	local tilex, tiley = math.floor(x/32), math.floor(y/32)
	if tile(tilex, tiley, 'walkable') and tile(tilex, tiley, 'frame') ~= 63 and 
		not gettile(tilex, tiley).SAFE and 
		not gettile(tilex, tiley).NOMONSTERS then
		self:pos(x, y)
		return true
	else
		self:rot(math.random(-1, 1)*math.pi/2)
		return false
	end
end

function Monster:damage(id, dmg, wpntype)
     if not PLAYERS[id].Tutorial.damagem then
          message(id, "You have attacked a monster! Good job! Keep on attacking it until it dies.", "255128000")
          PLAYERS[id].Tutorial.damagem = true
     end
     local wpnName
     if wpntype == 251 then
          wpnName = 'rune'
     elseif wpntype == 46 then
          wpnName = 'firewave'
          dmg = dmg/5
     else
          wpnName = PLAYERS[id].Equipment[3] and ITEMS[PLAYERS[id].Equipment[3]].name or 'dagger'
     end
     self.health = self.health - dmg
     hudtxt2(id,41, 'Dealt '..dmg..' damage, '..self.health..' health left.', '255255255', 350,50,0)
	      print(player(id, 'name') .. ' deals ' .. dmg .. ' damage to ' .. self.name .. ' usng a ' .. wpnName .. '.')
     if self.health <= 0 then
          if not PLAYERS[id].Tutorial.killm then
               message(id, "Congratulation! You have killed your first monster. You can proceed to pick up the loot by using the drop weapon button (default G)", "255128000")
               PLAYERS[id].Tutorial.killm = true
          end
          addexp(id, math.floor(self.exp*CONFIG.EXPRATE))
          self:die()
     else
          parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' 0 ' .. self.scaley .. ' ' .. (self.r and (self.r .. ' ' .. self.g .. ' ' .. self.b) or '192 0 0'))
     end
     radiussound("weapons/machete_hit.wav", self.x, self.y)
     return true
end

function Monster:hit(id, dmg)
	if not PLAYERS[id].Tutorial.hitm then
		message(id, "A monster is attacking you! You can fight back by swinging your weapon at it.", "255128000")
		PLAYERS[id].Tutorial.hitm = true
	end
	if player(id, 'weapontype') == 41 and (math.abs(math.rad(player(id, 'rot')) - math.atan2(player(id, 'y')-self.y, player(id, 'x')-self.x) + math.pi/2)%(2*math.pi) <= math.pi*2/3) then
		EXPhit(id, self, -1, dmg/4)
		radiussound("weapons/ricmetal" .. math.random(1,2) .. ".wav", self.x, self.y)
	else
		EXPhit(id, self, -1, dmg)
		radiussound("weapons/knife_hit.wav", self.x, self.y)
	end
	return true
end

function Monster:die(id)
	local size = self.scalex+self.scaley
	parse('effect "colorsmoke" ' .. self.x .. ' ' .. self.y .. ' ' .. size .. ' 64 ' .. (self.r and (self.r .. ' ' .. self.g .. ' ' .. self.b) or '192 0 0'))
	local tilex, tiley = math.floor(self.x/32), math.floor(self.y/32)
	for _, loot in ipairs(self.loot) do
		local chance = math.random(10000)
		if chance <= loot.chance then
			spawnitem(loot.id, tilex, tiley)
		end
	end
	radiussound("weapons/c4_explode.wav", self.x, self.y)
	self:destroy()
end

function Monster:destroy()
	freeimage(self.image)
	local found
	table.remove(MONSTERS, self.id)
	for i, m in ipairs(MONSTERS) do
		m.id = i
	end
	return true
end

function Monster:rot(rot)
	if not rot then
		return self.ang
	else
		self.ang = (self.ang+rot)%(math.pi*2)
	end
	return true
end



